--- fedora-web.po	2009-05-13 22:57:42.000000000 +0200
+++ fedora-web.modificat.po	2009-05-13 23:07:31.000000000 +0200
@@ -1,8 +1,9 @@
 # Catalan translation of fedoraproject website
-# Copyright (C) 2007, 2008 Softcatalà
+# Copyright (C) 2007, 2008, 2009 Softcatalà
 # This file is distributed under the same license as the Fedora project.
 # Xavier Conde Rueda <xavi.conde@gmail.com>, 2007
 # Xavier Queralt Mateu <xqueralt@gmail.com>, 2008
+# Oscar Osta Pueyo <oostap@gmail.com>, 2009
 #
 # This file is translated according to the glossary and style guide of
 #   Softcatalà. If you plan to modify this file, please read first the page
@@ -21,8 +22,8 @@
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
 "POT-Creation-Date: 2009-05-09 17:02-0400\n"
-"PO-Revision-Date: 2008-03-08 13:48+0100\n"
-"Last-Translator: Oscar Osta Pueyo <oostap@gmail.com>\n"
+"PO-Revision-Date: 2009-05-13 13:48+0100\n"
+"Last-Translator: Xavier Conde Rueda <xavi.conde@gmail.com>\n"
 "Language-Team: Catalan <fedora@softcatala.net>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -212,14 +213,13 @@
 "simplement copieu el codi següent on vulgueu que aparegui:"
 
 #: data/content/counter.html:18
-#, fuzzy
 msgid ""
 "The lang parameter can be changed to display the counter in a different "
 "language.  Currently, the values de, en, hu, is, it, pt_BR, and ru are "
 "supported.  When no language is specified, English will be used."
 msgstr ""
 "El paràmetre lang es pot canviar per mostrar el comptador en una llengua "
-"diferent. Actualment estan suportats els valors en, es, it i pt_BR. Per "
+"diferent. Actualment estan suportats els valors de, en, es, it, ru i pt_BR. Per "
 "defecte s'utilitzarà l'anglès quan no se n'especifiqui cap."
 
 #: data/content/get-fedora-all.html:13 data/content/get-fedora-kde.html:11
@@ -229,15 +229,14 @@
 
 #: data/content/get-fedora-all.html:15 data/content/get-fedora-kde.html:13
 #: data/content/get-fedora-ppc.html:13
-#, fuzzy
 msgid "Did someone say... &ldquo;<a href=\"get-prerelease\">Beta</a>&rdquo;?"
-msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Alpha</a>&rdquo;?"
+msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Beta</a>&rdquo;?"
 
 #: data/content/get-fedora-all.html:16 data/content/get-fedora-kde.html:14
 #: data/content/get-fedora-ppc.html:14 data/content/get-fedora.html:11
 #: data/content/get-prerelease.html:12
 msgid "Fedora, For You."
-msgstr "Fedora, Per a vosaltres."
+msgstr "Fedora, per a vosaltres."
 
 #: data/content/get-fedora-all.html:17
 #, python-format
@@ -564,13 +563,11 @@
 msgstr "Instal·leu o actualitzeu Fedora 10 per a PowerPC"
 
 #: data/content/get-fedora-ppc.html:27
-#, fuzzy
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f10/\">Fedora 10 "
 "Install Guide</a>"
 msgstr ""
-"<a href=\"http://docs.fedoraproject.org/install-guide/f10/en_US/ch-upgrading-"
-"system.html\">Guia d'instal·lació de Fedora 10</a>"
+"<a href=\"http://docs.fedoraproject.org/install-guide/f10/\">Guia d'instal·lació de Fedora 10</a>"
 
 #: data/content/get-fedora-ppc.html:35
 msgid ""
@@ -588,11 +585,10 @@
 "PowerPC"
 
 #: data/content/get-fedora.html:10
-#, fuzzy
 msgid ""
 "Did someone say... &ldquo;<a href=\"get-prerelease\">Preview Release</"
 "a>&rdquo;?"
-msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Alpha</a>&rdquo;?"
+msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Versió preliminar</a>&rdquo;?"
 
 #: data/content/get-fedora.html:19
 msgid ""
@@ -781,7 +777,6 @@
 "\">docs.fedoraproject.org</a>."
 
 #: data/content/get-prerelease.html:13
-#, fuzzy
 msgid ""
 "This is pre-release software. The Fedora Project makes no guarantees as to "
 "its suitability or usefulness. All issues should be reported via the <a href="
@@ -793,16 +788,15 @@
 "garantitza l'adecuació ni la utilitat. Per informar dels vostres problemes "
 "feu servir <a href=\"https://bugzilla.redhat.com/\">Red Hat Bugzilla</a>. "
 "Llegiu les <a href=\"http://docs.fedoraproject.org/release-notes/\">notes "
-"preliminars de l'alliberament</a> per a més informació."
+"de l'alliberament preliminar</a> per a més informació."
 
 #: data/content/index.html:10
 msgid "Fedora 10 - Fire it up"
 msgstr "Fedora 10 - Engegueu els motors"
 
 #: data/content/index.html:11
-#, fuzzy
 msgid "Fedora 11: Reign."
-msgstr "Fedora 10"
+msgstr "Fedora 11: Regneu."
 
 #: data/content/index.html:16
 msgid "What's new in Fedora 10?  Read the release notes. &gt;&gt;"
@@ -1071,29 +1065,27 @@
 msgstr "Claus utilitzades actualment"
 
 #: data/content/keys.html:68
-#, fuzzy
 msgid ""
 "Download: <a href=\"https://fedoraproject.org/static/D22E77F2.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/4EBFC273.txt"
+"Baixeu: <a href=\"https://fedoraproject.org/static/D22E77F2.txt"
 "\">Projecte Fedora</a>"
 
 #: data/content/keys.html:69
-#, fuzzy
 msgid ""
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0xD22E77F2&op=get\">keys.gnupg.net</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
-"search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
+"Baixeu: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
+"search=0xD22E77F2&op=get\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:82
 msgid ""
 "Download: <a href=\"https://fedoraproject.org/static/4EBFC273.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/4EBFC273.txt"
+"Baixeu: <a href=\"https://fedoraproject.org/static/4EBFC273.txt"
 "\">Projecte Fedora</a>"
 
 #: data/content/keys.html:83
@@ -1101,7 +1093,7 @@
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x4EBFC273&op=get\">keys.gnupg.net</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
+"Baixeu: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:96
@@ -1109,7 +1101,7 @@
 "Download: <a href=\"https://fedoraproject.org/static/0B86274E.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/0B86274E.txt"
+"Baixeu: <a href=\"https://fedoraproject.org/static/0B86274E.txt"
 "\">Projecte Fedora</a>"
 
 #: data/content/keys.html:97
@@ -1117,7 +1109,7 @@
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x0B86274E&op=get\">keys.gnupg.net</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
+"Baixeu: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:110
@@ -1125,7 +1117,7 @@
 "Download: <a href=\"https://fedoraproject.org/static/6DF2196F.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/6DF2196F.txt"
+"Baixeu: <a href=\"https://fedoraproject.org/static/6DF2196F.txt"
 "\">Projecte Fedora</a>"
 
 #: data/content/keys.html:111
@@ -1133,7 +1125,7 @@
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x6DF2196F&op=get\">keys.gnupg.net</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
+"Baixeu: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:124
@@ -1141,7 +1133,7 @@
 "Download: <a href=\"https://fedoraproject.org/static/DF9B0AE9.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/DF9B0AE9.txt"
+"Baixeu: <a href=\"https://fedoraproject.org/static/DF9B0AE9.txt"
 "\">Projecte Fedora</a>"
 
 #: data/content/keys.html:125
@@ -1149,7 +1141,7 @@
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0xDF9B0AE9&op=get\">keys.gnupg.net</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
+"Baixeu: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:131
@@ -1493,9 +1485,9 @@
 msgstr "%s/static/images/counter/%s"
 
 #: data/templates/sidebar.html:26
-#, fuzzy, python-format
+#, python-format
 msgid "Fedora 11 Leonidas released in %s days!"
-msgstr "Fedora 10 Cambridge arriba en %s dies!"
+msgstr "Fedora 11 Leonidas arriba en %s dies!"
 
 #: data/templates/sidebar.html:27
 msgid "Add a counter to your own site!"
@@ -1570,28 +1562,3 @@
 msgid "Website Language"
 msgstr "Idioma del lloc web"
 
-#, fuzzy
-#~ msgid ""
-#~ "Now, to verify that the SHA1SUM file is valid, make sure that it has a "
-#~ "good signature from the key ID %s."
-#~ msgstr ""
-#~ "A continuació, per a verificar que el fitxer SHA1SUM és vàlid, assegureu-"
-#~ "vos que conté una signatura correcta de la clau amb ID 4F2A6FD2."
-
-#~ msgid "Fedora 10 Desktop Guide"
-#~ msgstr "Guia de l'escriptori de Fedora 10"
-
-#~ msgid "Fedora 9 Release Notes"
-#~ msgstr "Notes de l'alliberament de Fedora 9"
-
-#~ msgid ""
-#~ "<a href=\"http://docs.fedoraproject.org/release-notes/\">http://docs."
-#~ "fedoraproject.org/release-notes/</a>"
-#~ msgstr ""
-#~ "<a href=\"http://docs.fedoraproject.org/release-notes/\">http://docs."
-#~ "fedoraproject.org/release-notes/</a>"
-
-#~ msgid "Get Fedora 10 KDE Desktop Edition Now"
-#~ msgstr ""
-#~ "Obteniu Fedora 10 amb escriptori KDE ara en format <em class=\"byline"
-#~ "\">CD autònom instal·lable</em>"