--- docs-readme-burning-isos.master.ca.po.orig	2009-08-09 14:53:09.000000000 +0200
+++ docs-readme-burning-isos.master.ca.po	2009-08-09 15:11:32.000000000 +0200
@@ -20,7 +20,7 @@
 "Project-Id-Version: readme-burning-isos-ca\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2009-07-20 22:48+0000\n"
-"PO-Revision-Date: 2009-08-08 21:00+0200\n"
+"PO-Revision-Date: 2009-08-09 21:00+0200\n"
 "Last-Translator: Gerard Sánchez Gil <gsanchezgil@gmail.com>\n"
 "Language-Team: Catalan <fedora@softcatala.net>\n"
 "MIME-Version: 1.0\n"
@@ -31,7 +31,7 @@
 #: Article_Info.xml:6
 #, no-c-format
 msgid "Burning ISO images to disc"
-msgstr "Enregistrar les imatges ISO en un disc"
+msgstr "Gravació en disc de les imatges ISO"
 
 #. Tag: subtitle
 #: Article_Info.xml:7
@@ -51,13 +51,13 @@
 #: Article_Info.xml:20
 #, no-c-format
 msgid "Logo"
-msgstr ""
+msgstr "Logo"
 
 #. Tag: holder
 #: Article_Info.xml:26
 #, no-c-format
 msgid "&HOLDER;"
-msgstr ""
+msgstr "&HOLDER;"
 
 #. Tag: author
 #: Author_Group.xml:6
@@ -254,15 +254,15 @@
 "number for each of the installation CDs. In the case of an installation DVD, "
 "<filename>DVD</filename> is used in the filename."
 msgstr ""
-"Els fitxers que necessitareu depenen del vostre sistema i la versió de la "
-"Fedora que voleu baixar. Aquests segueixen la següent nomenclatura: "
+"Els fitxers que necessitareu del servidor de baixades depenen del vostre sistema i la versió de la "
+"Fedora que voleu baixar. Se segueix la següent nomenclatura: "
 "<filename>Fedora-<replaceable>&lt;versió&gt;</replaceable>-<replaceable>&lt;"
 "arq&gt;</replaceable>-disc<replaceable>&lt;num&gt;</replaceable>.iso</"
 "filename>. On \"<replaceable>&lt;versió&gt;</replaceable>\" es la versió que "
 "desitgeu baixar, \"<replaceable>&lt;arq&gt;</replaceable>\" correspon a "
 "l'arquitectura del processador i \"<replaceable>&lt;num&gt;</replaceable>\" "
-"indica l'ordre per a cada CD  d'instalació, en el cas d'utilitzar un DVD, la "
-"paraula <filename>DVD</filename> substitueix la numeració."
+"indica l'ordre per a cada CD d'instal·lació, en el cas d'utilitzar un DVD, la "
+"paraula <filename>DVD</filename> es fa servir per al nom de fitxer."
 
 #. Tag: para
 #: Burning_ISO_images_to_disc.xml:61
@@ -282,8 +282,8 @@
 "cas dels PC de 64 bits amb processador de la família Athlon 64 és "
 "<systemitem>x86_64</systemitem>. En canvi, l'arquitectura <systemitem>ppc</"
 "systemitem> és l'habitual per als ordinadors amb processador PowerPC, "
-"aquesta inclou la majoria dels ordinadors Apple abans de que aquesta empresa "
-"comencés a utilitzar xips Intel per als MacBook. En cas de dubte, "
+"aquesta inclou la majoria dels ordinadors Apple abans de que "
+"comencessin a utilitzar xips Intel per als MacBook. En cas de dubte, "
 "probablement necessitareu les versions <systemitem>i386</systemitem> per al "
 "vostre sistema."
 
@@ -299,7 +299,7 @@
 "Per exemple, si baixeu la Fedora &PROVIDER; per a ordinadors amb Pentium 4 "
 "necessitareu el fitxer <filename>Fedora-i386-DVD.iso</filename>. També "
 "necessitareu el fitxer <filename>SHA1SUM</filename> per a comprovar la "
-"integritat del fitxer baixat."
+"integritat dels fitxers baixats."
 
 #. Tag: title
 #: Burning_ISO_images_to_disc.xml:72
@@ -366,7 +366,7 @@
 #: Burning_ISO_images_to_disc.xml:91
 #, no-c-format
 msgid "HashCalc: <ulink url=\"http://www.slavasoft.com/hashcalc/\"></ulink>"
-msgstr ""
+msgstr "HashCalc: <ulink url=\"http://www.slavasoft.com/hashcalc/\"></ulink>"
 
 #. Tag: para
 #: Burning_ISO_images_to_disc.xml:96
@@ -375,6 +375,8 @@
 "eXpress CheckSum Calculator (XCSC): <ulink url=\"http://www.irnis.net/soft/"
 "xcsc/\"></ulink>"
 msgstr ""
+"eXpress CheckSum Calculator (XCSC): <ulink url=\"http://www.irnis.net/soft/"
+"xcsc/\"></ulink>"
 
 #. Tag: para
 #: Burning_ISO_images_to_disc.xml:101
@@ -433,9 +435,9 @@
 "The Fedora Project and Red Hat, Inc. have no control over external sites "
 "such as the ones listed above, or the programs they provide."
 msgstr ""
-"Tant el Projecte Fedora com Red Hat Inc. no tenen cap tipus de control sobre "
-"els llocs web aliens esmentats als paràgrafs anteriors ni sobre el "
-"programari que ofereixen aquests."
+"Ni el Projecte Fedora ni Red Hat Inc. tenen cap tipus de control sobre "
+"els llocs web externs esmentats als paràgrafs anteriors ni sobre el "
+"programari que ofereixen."
 
 #. Tag: title
 #: Burning_ISO_images_to_disc.xml:119
@@ -453,7 +455,7 @@
 "gnupg-announce/2004q4/000184.html\"></ulink>."
 msgstr ""
 "Necessitareu baixar el programa <filename>sha1sum.exe</filename> per a "
-"comprovar la integritat dels fitxers amb l'interpret d'ordres. Per baixar el "
+"comprovar la integritat dels fitxers amb l'intèrpret d'ordres. Per baixar el "
 "programa i consultar com funciona aneu a <ulink url=\"http://lists.gnupg.org/"
 "pipermail/gnupg-announce/2004q4/000184.html\"></ulink>."
 
@@ -469,7 +471,7 @@
 "download directory. Run <command>sha1sum</command> with each ISO file like "
 "this:"
 msgstr ""
-"El programa <filename>sha1sum.exe</filename> calcula i mostra hashes. Per "
+"El programa <filename>sha1sum.exe</filename> calcula i mostra dispersions. Per "
 "usar-lo, feu servir <filename>sha1sum.exe</filename> al mateix directori que "
 "els fitxers ISO. Seleccioneu <guilabel>Executa...</guilabel> des del menú "
 "Inicia i entreu <userinput>cmd</userinput> com a nom de programa per a "
@@ -485,7 +487,7 @@
 "\"\n"
 "sha1sum.exe Fedora-i386-DVD.iso"
 msgstr ""
-"cd \"C:\\Documents and Settings\\Propietarr\\Els Meus Documents\\Les Meves "
+"cd \"C:\\Documents and Settings\\Propietari\\Els Meus Documents\\Les Meves "
 "Baixades\\Fedora\"\n"
 "sha1sum.exe Fedora-i386-DVD.iso"
 
@@ -773,7 +775,7 @@
 "your computer&#39;s BIOS is set to boot from the CD drive."
 msgstr ""
 "Seguiu les instruccions del fabricant del vostre ordinador per a comprovar "
-"que la BIOS està configurada per a que us permeti arrancar des de la unitat "
+"que la BIOS està configurada per poder arrancar des de la unitat "
 "de CD."
 
 #. Tag: para
@@ -838,6 +840,8 @@
 "<firstname>Paul</firstname> <othername>W.</othername> <surname>Frields</"
 "surname> <email>stickster@gmail.com</email>"
 msgstr ""
+"<firstname>Paul</firstname> <othername>W.</othername> <surname>Frields</"
+"surname> <email>stickster@gmail.com</email>"
 
 #. Tag: member
 #: Revision_History.xml:20
@@ -852,6 +856,8 @@
 "<firstname>Karsten</firstname> <surname>Wade</surname> <email>kwade@redhat."
 "com</email>"
 msgstr ""
+"<firstname>Karsten</firstname> <surname>Wade</surname> <email>kwade@redhat."
+"com</email>"
 
 #. Tag: member
 #: Revision_History.xml:34