--- fedora-web.master-fedoraproject.ca-1.po	2009-05-17 19:18:45.000000000 +0200
+++ fedora-web.master-fedoraproject.ca.po.nou	2009-05-17 19:20:12.000000000 +0200
@@ -19,9 +19,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2009-05-10 05:34-0400\n"
-"PO-Revision-Date: 2008-03-08 13:48+0100\n"
+"PO-Revision-Date: 2009-05-17 13:48+0100\n"
 "Last-Translator: Oscar Osta Pueyo <oostap@gmail.com>\n"
 "Language-Team: Catalan <fedora@softcatala.net>\n"
 "MIME-Version: 1.0\n"
@@ -212,14 +212,13 @@
 "simplement copieu el codi següent on vulgueu que aparegui:"
 
 #: data/content/counter.html:18
-#, fuzzy
 msgid ""
 "The lang parameter can be changed to display the counter in a different "
 "language.  Currently, the values de, en, hu, is, it, and pt-br are "
 "supported.  When no language is specified, English will be used."
 msgstr ""
 "El paràmetre lang es pot canviar per mostrar el comptador en una llengua "
-"diferent. Actualment estan suportats els valors en, es, it i pt_BR. Per "
+"diferent. Actualment estan suportats els valors de, en, hu, is, it, i pt-br. Per "
 "defecte s'utilitzarà l'anglès quan no se n'especifiqui cap."
 
 #: data/content/get-fedora-all.html:13 data/content/get-fedora-kde.html:11
@@ -433,12 +432,11 @@
 "sota."
 
 #: data/content/get-fedora-kde.html:23
-#, fuzzy
 msgid ""
 "Get Fedora 11 KDE Desktop Edition Now <em class=\"byline\">Installable Live "
 "CD</em>"
 msgstr ""
-"Obteniu l'edició d'escriptori KDE de Fedora 10 en format <em class=\"byline"
+"Obteniu l'edició d'escriptori KDE de Fedora 11 en format <em class=\"byline"
 "\">CD autònom instal·lable</em>"
 
 #: data/content/get-fedora-kde.html:25 data/content/get-fedora-kde.html:45
@@ -448,16 +446,14 @@
 msgstr "Recursos"
 
 #: data/content/get-fedora-kde.html:27 data/content/get-fedora.html:22
-#, fuzzy
 msgid "Fedora 11 Installation Guide"
-msgstr "Guia d'instal·lació de Fedora 10"
+msgstr "Guia d'instal·lació de Fedora 11"
 
 #: data/content/get-fedora-kde.html:28 data/content/get-fedora-kde.html:48
 #: data/content/get-fedora-ppc.html:27 data/content/get-fedora.html:23
 #: data/content/get-fedora.html:43
-#, fuzzy
 msgid "Fedora 11 Release Notes"
-msgstr "Notes de l'alliberament de Fedora 10"
+msgstr "Notes de l'alliberament de Fedora 11"
 
 #: data/content/get-fedora-kde.html:29 data/content/get-fedora-kde.html:49
 #: data/content/get-fedora-ppc.html:28 data/content/get-fedora.html:24
@@ -490,44 +486,40 @@
 #: data/content/get-fedora-kde.html:38 data/content/get-fedora-kde.html:58
 #: data/content/get-fedora-ppc.html:37 data/content/get-fedora.html:33
 #: data/content/get-fedora.html:53
-#, fuzzy
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/sn-making-"
 "media.html\">How do I use this file?</a>"
 msgstr ""
-"<a href=\"http://docs.fedoraproject.org/install-guide/f10/en_US/sn-making-"
+"<a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/sn-making-"
 "media.html\">Com faig servir aquest fitxer?</a>"
 
 #: data/content/get-fedora-kde.html:40 data/content/get-fedora-kde.html:60
 #: data/content/get-fedora-ppc.html:39 data/content/get-fedora.html:35
 #: data/content/get-fedora.html:55
 msgid "Download Now!"
-msgstr "Descarregueu-ho ara!"
+msgstr "Baixeu ara!"
 
 #: data/content/get-fedora-kde.html:43 data/content/get-fedora.html:38
-#, fuzzy
 msgid "Upgrade to Fedora 11 from an older version"
-msgstr "Actualitzeu a Fedora 10 des d'una versió antiga"
+msgstr "Actualitzeu a Fedora 11 des d'una versió antiga"
 
 #: data/content/get-fedora-kde.html:47 data/content/get-fedora.html:42
-#, fuzzy
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/ch-upgrading-"
 "system.html\">Fedora 11 Upgrade Guide</a>"
 msgstr ""
-"<a href=\"http://docs.fedoraproject.org/install-guide/f10/en_US/ch-upgrading-"
-"system.html\">Guia d'actualització de Fedora 10</a>"
+"<a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/ch-upgrading-"
+"system.html\">Guia d'actualització de Fedora 11</a>"
 
 #: data/content/get-fedora-kde.html:55 data/content/get-fedora.html:50
-#, fuzzy
 msgid ""
 "Already have Fedora and want to upgrade to Fedora 11? Check out the <a href="
 "\"http://docs.fedoraproject.org/install-guide/f11/en_US/ch-upgrading-system."
 "html\">Upgrading Fedora</a> instructions, and download the DVD ISO you'll "
 "need to start the upgrade process below."
 msgstr ""
-"Teniu Fedora i voleu actualizar-vos a Fedora 10? Comproveu les instruccions "
-"a <a href=\"http://docs.fedoraproject.org/install-guide/f10/en_US/ch-"
+"Teniu Fedora i voleu actualizar-vos a Fedora 11? Comproveu les instruccions "
+"a <a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/ch-"
 "upgrading-system.html\">Actualització de Fedora</a>, i baixeu la imatge de "
 "DVD que necessiteu per iniciar el procés d'actualització."
 
@@ -561,26 +553,23 @@
 "Fedora que funcioni amb el vostre ordinador."
 
 #: data/content/get-fedora-ppc.html:22
-#, fuzzy
 msgid "Install or Upgrade Fedora 11 for PowerPC"
-msgstr "Instal·leu o actualitzeu Fedora 10 per a PowerPC"
+msgstr "Instal·leu o actualitzeu Fedora 11 per a PowerPC"
 
 #: data/content/get-fedora-ppc.html:26
-#, fuzzy
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f11/\">Fedora 11 "
 "Install Guide</a>"
 msgstr ""
-"<a href=\"http://docs.fedoraproject.org/install-guide/f10/en_US/ch-upgrading-"
-"system.html\">Guia d'instal·lació de Fedora 10</a>"
+"<a href=\"http://docs.fedoraproject.org/install-guide/f11/en_US/ch-upgrading-"
+"system.html\">Guia d'instal·lació de Fedora 11</a>"
 
 #: data/content/get-fedora-ppc.html:34
-#, fuzzy
 msgid ""
 "This is everything you need to install or upgrade to Fedora 11 on PowerPC "
 "machines!"
 msgstr ""
-"Això és tot el que us cal per instal·lar o actualitzar-vos a Fedora 10 en "
+"Això és tot el que us cal per instal·lar o actualitzar-vos a Fedora 11 en "
 "ordinadors PowerPC!"
 
 #: data/content/get-fedora-ppc.html:37
@@ -591,12 +580,11 @@
 "PowerPC"
 
 #: data/content/get-fedora.html:18
-#, fuzzy
 msgid ""
 "Get Fedora 11 Desktop Edition Now <em class=\"byline\">Installable Live CD</"
 "em>"
 msgstr ""
-"Obteniu l'edició d'escriptori de Fedora 10 en format <em class=\"byline\">CD "
+"Obteniu l'edició d'escriptori de Fedora 11 en format <em class=\"byline\">CD "
 "autònom instal·lable</em>"
 
 #: data/content/get-fedora.html:30
@@ -610,15 +598,15 @@
 "us agrada, podeu instal·lar-la des del propi escriptori!"
 
 #: data/content/get-fedora.html:33
-#, fuzzy, python-format
+#, python-format
 msgid "%sMB, ISO format, 1 CD-ROM disc image for Intel-compatible PCs (32-bit)"
 msgstr ""
-"%sMB, format ISO, 1 imatge de disc CD-ROM per a PCs compatible amb Intel"
+"%sMB, format ISO, 1 imatge de disc CD-ROM per a PCs compatible amb Intel (32 bit)"
 
 #: data/content/get-fedora.html:53
-#, fuzzy, python-format
+#, python-format
 msgid "%sGB, ISO format, 1 DVD disc image for Intel-compatible PCs (32-bit)"
-msgstr "%sGB, format ISO, 1 imatge de disc DVD per a PCs compatibles amb Intel"
+msgstr "%sGB, format ISO, 1 imatge de disc DVD per a PCs compatibles amb Intel (32 bit)"
 
 #: data/content/get-help.html:10
 msgid "Get Help."
@@ -789,7 +777,6 @@
 "\">docs.fedoraproject.org</a>."
 
 #: data/content/get-prerelease.html:13
-#, fuzzy
 msgid ""
 "This is pre-release software. The Fedora Project makes no guarantees as to "
 "its suitability or usefulness. All issues should be reported via the <a href="
@@ -804,15 +791,13 @@
 "preliminars de l'alliberament</a> per a més informació."
 
 #: data/content/index.html:10
-#, fuzzy
 msgid "Fedora 11: Reign."
-msgstr "Fedora 10"
+msgstr "Fedora 11: Regneu."
 
 #: data/content/index.html:15
-#, fuzzy
 msgid "What's new in Fedora 11?  Read the release notes. &gt;&gt;"
 msgstr ""
-"Què hi ha de nou a Fedora 10? Llegiu les notes de l'alliberament. &gt;&gt;"
+"Què hi ha de nou a Fedora 11? Llegiu les notes de l'alliberament. &gt;&gt;"
 
 #: data/content/index.html:18
 msgid ""
@@ -1076,22 +1061,19 @@
 msgstr "Claus utilitzades actualment"
 
 #: data/content/keys.html:67 data/content/keys.html:80
-#, fuzzy
 msgid ""
 "Download: <a href=\"https://fedoraproject.org/static/D22E77F2.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Baixeu-vos: <a href=\"https://fedoraproject.org/static/4EBFC273.txt"
-"\">Projecte Fedora</a>"
+"Baixeu-vos: <a href=\"https://fedoraproject.org/static/D22E77F2.txt\">Projecte Fedora</a>"
 
 #: data/content/keys.html:68 data/content/keys.html:81
-#, fuzzy
 msgid ""
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0xD22E77F2&op=get\">keys.gnupg.net</a>"
 msgstr ""
 "Baixeu-vos: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
-"search=0x4F2A6FD2&op=index\">keys.gnupg.net</a>"
+"search=0xD22E77F2&op=get\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:94
 msgid ""
@@ -1328,7 +1310,6 @@
 "burning-isos/en_US/sn-validating-files.html\">aquestes instruccions</a>."
 
 #: data/content/verify.html:15
-#, fuzzy
 msgid ""
 "Once you have downloaded an ISO, verify it for security and integrity.  If "
 "you downloaded your ISO via BitTorrent, the file has already been verified "
@@ -1337,12 +1318,12 @@
 "org</a>).  Otherwise, to verify your ISO, start by downloading the proper "
 "CHECKSUM file into the same directory as the ISO:"
 msgstr ""
-"Un cop us heu baixat una imatge, verifiqueu-la per a més seguretat i "
-"integritat de dades. Si heu baixat la imatge mitjançant BitTorrent, el "
+"Un cop us heu baixat una imatge ISO, verifiqueu-la per a més seguretat i "
+"integritat de les dades. Si heu baixat la imatge mitjançant BitTorrent, el "
 "fitxer ja ha estat verificat durant el procès de baixada (solament assegureu-"
-"vos que heu conseguit el torrent de <a href=\"http://torrent.fedoraproject."
+"vos que heu aconseguit el torrent de <a href=\"http://torrent.fedoraproject."
 "org/\">torrent.fedoraproject.org</a>). Altrament, per a verificar la imatge, "
-"comenceu per baixar-vos el fitxer SHA1SUM idoni al mateix directori que la "
+"comenceu per baixar-vos el fitxer CHECKSUM idoni al mateix directori que la "
 "imatge:"
 
 #: data/content/verify.html:17
@@ -1365,21 +1346,18 @@
 "Podeu verificar els detalls de les claus GPG <a href=\"%s/%s/keys\">aquí</a>."
 
 #: data/content/verify.html:37
-#, fuzzy
 msgid "Now, verify that the CHECKSUM file is valid:"
-msgstr "Ara, verifiqueu que el fitxer SHA1SUM és vàlid:"
+msgstr "Ara, verifiqueu que el fitxer CHECKSUM és vàlid:"
 
 #: data/content/verify.html:41
-#, fuzzy
 msgid ""
 "The CHECKSUM file should have a good signature from one of the following "
 "keys:"
-msgstr "El fitxer SHA1SUM hauria de tenir una de les següents claus vàlides:"
+msgstr "El fitxer CHECKSUM hauria de tenir una de les següents claus vàlides:"
 
 #: data/content/verify.html:44
-#, fuzzy
 msgid "Fedora 11"
-msgstr "Fedora 10"
+msgstr "Fedora 11"
 
 #: data/content/verify.html:45
 msgid "Fedora 10"
@@ -1398,12 +1376,11 @@
 msgstr "Fedora 9 i anteriors versions provisionals"
 
 #: data/content/verify.html:51
-#, fuzzy
 msgid ""
 "Finally, now that the CHECKSUM file has been verified, check that the ISO's "
 "checksum matches:"
 msgstr ""
-"Finalment, un cop el fitxer SHA1SUM ha estat verificat, comproveu que la "
+"Finalment, un cop el fitxer CHECKSUM ha estat verificat, comproveu que la "
 "suma de verificació de les imatges concorda:"
 
 #: data/content/verify.html:55
@@ -1508,9 +1485,9 @@
 msgstr "%s/static/images/counter/%s"
 
 #: data/templates/sidebar.html:26
-#, fuzzy, python-format
+#, python-format
 msgid "Fedora 11 Leonidas released in %s days!"
-msgstr "Fedora 10 Cambridge arriba en %s dies!"
+msgstr "Fedora 11 Leonidas arriba en %s dies!"
 
 #: data/templates/sidebar.html:27
 msgid "Add a counter to your own site!"
@@ -1585,32 +1562,9 @@
 msgid "Website Language"
 msgstr "Idioma del lloc web"
 
-#, fuzzy
-#~ msgid "Fedora 11 - Reign."
-#~ msgstr "Fedora 10"
-
-#, fuzzy
-#~ msgid ""
-#~ "Did someone say... &ldquo;<a href=\"get-prerelease\">Beta</a>&rdquo;?"
-#~ msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Alpha</a>&rdquo;?"
-
-#, fuzzy
-#~ msgid ""
-#~ "Did someone say... &ldquo;<a href=\"get-prerelease\">Preview Release</"
-#~ "a>&rdquo;?"
-#~ msgstr "Algú ha dit... &ldquo;<a href=\"get-prerelease\">Alpha</a>&rdquo;?"
-
 #~ msgid "Fedora 10 - Fire it up"
 #~ msgstr "Fedora 10 - Engegueu els motors"
 
-#, fuzzy
-#~ msgid ""
-#~ "Now, to verify that the SHA1SUM file is valid, make sure that it has a "
-#~ "good signature from the key ID %s."
-#~ msgstr ""
-#~ "A continuació, per a verificar que el fitxer SHA1SUM és vàlid, assegureu-"
-#~ "vos que conté una signatura correcta de la clau amb ID 4F2A6FD2."
-
 #~ msgid "Fedora 10 Desktop Guide"
 #~ msgstr "Guia de l'escriptori de Fedora 10"
 