--- liveusb-creator.master.ca_nou.po.original	2009-05-20 21:32:04.000000000 +0200
+++ liveusb-creator.master.ca_nou.po	2009-05-20 21:51:22.000000000 +0200
@@ -20,7 +20,7 @@
 "Project-Id-Version: liveusb-creator\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-09-03 02:54-0400\n"
-"PO-Revision-Date: 2009-05-18 22:58+0200\n"
+"PO-Revision-Date: 2009-05-20 22:58+0200\n"
 "Last-Translator: Salva Pascual <salva@delleida.com>\n"
 "Language-Team: Fedora Softcatalà <fedora@softcatala.org>\n"
 "MIME-Version: 1.0\n"
@@ -66,14 +66,13 @@
 msgstr "Extraent la imatge Live al dispositiu USB..."
 
 #: ../liveusb/gui.py:180
-#, fuzzy, python-format
+#, python-format
 msgid "Creating %d Mb persistent overlay..."
-msgstr "Creant capa persistent %d Mb"
+msgstr "S'està creant la capa persistent de %d Mb..."
 
 #: ../liveusb/gui.py:183
-#, fuzzy
 msgid "Configuring and installing bootloader..."
-msgstr "Configurant i instal·lant el carregador de l'arrencada..."
+msgstr "S'està configurant i instal·lant el carregador de l'arrencada..."
 
 #: ../liveusb/gui.py:187
 #, python-format
@@ -82,10 +81,10 @@
 
 #: ../liveusb/gui.py:190 ../liveusb/gui.py:193
 msgid "LiveUSB creation failed!"
-msgstr "Ha fallat la creació de Live USB."
+msgstr "Ha fallat la creació del Live USB."
 
 #: ../liveusb/gui.py:316
-#, fuzzy, python-format
+#, python-format
 msgid "Persistent Storage (%d Mb)"
 msgstr "Emmagatzematge persistent (%d Mb)"
 
@@ -94,8 +93,8 @@
 "Your device already contains a LiveOS.\n"
 "If you continue, this will be overwritten."
 msgstr ""
-"El vostre dispositiu ja conté un Live SO.\n"
-"Si contineu, serà esborrat."
+"El vostre dispositiu ja conté un SO autònom.\n"
+"Si contineu, serà sobreescrit."
 
 #: ../liveusb/gui.py:337
 msgid ""
@@ -110,9 +109,8 @@
 #. existing Live OS.  Here we delete it first, in order to
 #. accurately calculate progress.
 #: ../liveusb/gui.py:349
-#, fuzzy
 msgid "Removing existing Live OS..."
-msgstr "Esborrant Live SO existent..."
+msgstr "S'està esborrant el SO existent..."
 
 #: ../liveusb/gui.py:383
 msgid "Download complete!"
@@ -140,9 +138,9 @@
 "dispositiu (p.e. C:\\)"
 
 #: ../liveusb/gui.py:404
-#, fuzzy, python-format
+#, python-format
 msgid "ISO selected: %s"
-msgstr "ISO seleccionat: %s"
+msgstr "ISO seleccionada: %s"
 
 #: ../liveusb/creator.py:146
 #, python-format
@@ -158,9 +156,9 @@
 msgstr "No disposeu de suficient espai lliure en el vostre dispositiu."
 
 #: ../liveusb/creator.py:190
-#, fuzzy, python-format
+#, python-format
 msgid "Creating %sMB persistent overlay"
-msgstr "Creant capa persistent %sMB "
+msgstr "S'està creant una capa persistent de %sMB "
 
 #: ../liveusb/creator.py:226
 #, python-format
@@ -223,12 +221,12 @@
 "fitxers FAT."
 
 #: ../liveusb/creator.py:558
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "Cannot find '%s'.  Make sure to extract the entire liveusb-creator zip file "
 "before running this program."
 msgstr ""
-"No s'ha trobat '%s'. Assegureu-vos d'extreure tot el fitxer zip de liveusb-creator"
+"No s'ha trobat '%s'. Assegureu-vos d'extreure tot el fitxer zip de liveusb-creator "
 "abans d'executar el programa."
 
 #: ../liveusb/dialog.py:123
@@ -242,7 +240,7 @@
 "extracting the ISO to the USB device, creating the persistent overlay, and "
 "installing the bootloader."
 msgstr ""
-"Aquest botó començarà el procés de creació de LiveUSB. Això inclou "
+"Aquest botó començarà el procés de creació del LiveUSB. Això inclou "
 "opcionalment la baixada d'una versió (si n'existeix cap que hagueu "
 "seleccionat), l'extracció de la ISO al dispositiu USB, la creació de la capa "
 "persistent i la instal·lació del carregador d'arrencada."
@@ -318,46 +316,9 @@
 msgstr ""
 "Podreu desar dades i fer modificacions permanents en el sistema operatiu "
 "Live allotjant espai extra en la vostra clau USB per a una capa persistent. "
-"Sense aquesta, no podreu desar dades que persisteixin després de reiniciar. "
+"Sense ella, no podreu desar dades que persisteixin després de reiniciar. "
 
 #: ../liveusb/dialog.py:138
 msgid "Persistent Storage (0 Mb)"
 msgstr "Emmagatzematge persistent (0 Mb)"
 
-msgid "You must run this application as root"
-msgstr "Heu d'executar aquesta aplicació com a usuari root"
-
-msgid "Persistent Storage"
-msgstr "Emmagatzematge persistent"
-
-msgid "Setting up OLPC boot file..."
-msgstr "Configurant el fitxer d'arrencada d'OLPC..."
-
-msgid "Unknown ISO, skipping checksum verification"
-msgstr "ISO desconeguda, s'està ometent la verificació de la suma de comprovació"
-
-msgid ""
-"\n"
-"%dMB ISO + %dMB overlay > %dMB free space"
-msgstr ""
-"\n"
-"ISO %dMB + capa %dMB > espai lliure %dMB"
-
-msgid "Creating"
-msgstr "Creant"
-
-msgid "device"
-msgstr "dispositiu"
-
-msgid "Wrote to device at"
-msgstr "S'ha escrit al dispositiu a les"
-
-msgid "Verifying ISO MD5 checksum"
-msgstr "Comprovant la suma de comprovació MD5 de la ISO"
-
-msgid "Installing bootloader"
-msgstr "Instal·lant el carregador d'arrencada"
-
-msgid "Cannot find"
-msgstr "No s'ha pogut trobar"
-