--- readme.HEAD.fr.po	2008-02-04 10:20:21.000000000 +0100
+++ readme.HEAD.fr.modif.po	2008-02-07 17:04:49.000000000 +0100
@@ -1,13 +1,14 @@
-# translation of fr.po to Français
+# translation of readme.HEAD.fr.modif.po to francais
 # Thomas Canniot <thomas.canniot@laposte.net>, 2006.
 # Alain PORTAL <aportal@univ-montp2.fr>, 2007.
+# Michaël Ughetto <Telimektar1er@gmail.com>, 2008.
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
+"Project-Id-Version: readme.HEAD.fr.modif\n"
 "POT-Creation-Date: 2007-10-11 07:56-0400\n"
-"PO-Revision-Date: 2007-04-30 17:05+0200\n"
-"Last-Translator: Alain PORTAL <aportal@univ-montp2.fr>\n"
-"Language-Team: Français <traduc@traduc.org>\n"
+"PO-Revision-Date: 2008-02-07 17:04+0100\n"
+"Last-Translator: Michaël Ughetto <Telimektar1er@gmail.com>\n"
+"Language-Team: francais <fr@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -39,16 +40,15 @@
 
 #: en_US/rpm-info.xml:24(details)
 msgid "Update references to package directory name"
-msgstr ""
+msgstr "Met à jour les références au nom du dossier de paquetage."
 
 #: en_US/rpm-info.xml:28(details)
 msgid "Sync version to release notes"
-msgstr ""
+msgstr "Synchronise la version au notes de version"
 
 #: en_US/rpm-info.xml:32(details)
-#, fuzzy
 msgid "Final release version (F7)"
-msgstr "Version finale (FC-6)"
+msgstr "Version finale (F7)"
 
 #: en_US/README.xml:23(title)
 msgid "Fedora 7 README"
@@ -116,8 +116,7 @@
 msgstr "Windows est une marque déposée de Microsoft Corporation."
 
 #: en_US/README.xml:61(para)
-msgid ""
-"SSH and Secure Shell are trademarks of SSH Communications Security, Inc."
+msgid "SSH and Secure Shell are trademarks of SSH Communications Security, Inc."
 msgstr ""
 "SSH et Secure Shell sont des marques déposées de SSH Communications "
 "Security, Inc."
@@ -170,7 +169,7 @@
 
 #. <remark os="test">(x86)</remark>
 #: en_US/README.xml:98(computeroutput)
-#, fuzzy, no-wrap
+#, no-wrap
 msgid ""
 "\n"
 "/mnt/cdrom\n"
@@ -186,18 +185,15 @@
 msgstr ""
 "\n"
 "/mnt/cdrom\n"
-"  |----&gt; Fedora\n"
-"  |        |----&gt; RPMS         -- paquetages binaires\n"
-"  |        `----&gt; base         -- informations sur cette version de Fedora\n"
-"  |                                utilisé pour le processus d'installation\n"
+"  |----&gt; Packages              -- paquetages binaires\n"
 "  |----&gt; images                -- images disques de boot et de pilotes\n"
 "  |----&gt; isolinux              -- fichiers nécessaires pour démarrer depuis le CD-ROM\n"
 "  |----&gt; repodata              -- informations sur le dépôt utilisé par\n"
-"  |                                le processus d'installation\n"
-"  |----&gt; README                -- ce fichier\n"
-"  |----&gt; RELEASE-NOTES         -- les dernières informations au sujet de cette version\n"
-"  |                               de Fedora Core\n"
-"  `----&gt; RPM-GPG-KEY           -- signature GPG des paquetages de Red Hat\n"
+"  |                               le processus d'installation\n"
+"  |----&gt; README*               -- ce fichier\n"
+"  |----&gt; RELEASE-NOTES*        -- les dernières informations au sujet de cette version\n"
+"  |                               de Fedora\n"
+"  `----&gt; RPM-GPG-KEY*          -- signature GPG des paquetages de Red Hat\n"
 
 #. repetitive for the moment
 #.     <screen arch="x86_64">
@@ -214,13 +210,12 @@
 #. </computeroutput>
 #.   </screen>
 #: en_US/README.xml:126(para)
-#, fuzzy
 msgid ""
 "The remaining Installation CD-ROMs are similar to Installation CD-ROM 1, "
 "except that only the <filename>Packages</filename> subdirectory is present."
 msgstr ""
-"Les CD-ROM d'installation restant sont similaires au premier CD-ROM "
-"d'installation, excepté que seul le sous-répertoire <filename>Fedora</"
+"Les CD-ROM d'installation restants sont similaires au premier,  "
+"excepté que seul le sous-répertoire <filename>Packages</"
 "filename> est présent."
 
 #: en_US/README.xml:132(para)
@@ -241,7 +236,6 @@
 "  `----&gt; RPM-GPG-KEY           -- signature GPG pour les paquetages de Red Hat\n"
 
 #: en_US/README.xml:142(para)
-#, fuzzy
 msgid ""
 "If you are setting up an installation tree for NFS, FTP, or HTTP "
 "installations, you need to copy the <filename>RELEASE-NOTES</filename> files "
@@ -249,10 +243,10 @@
 "On Linux and Unix systems, the following process will properly configure "
 "the /target/directory on your server (repeat for each disc):"
 msgstr ""
-"Si vous mettez en place une arborescence d'installation pour des "
+"Si vous mettez en place une arborescence pour des "
 "installations NFS, FTP, ou HTTP, vous devez copier les fichiers "
 "<filename>RELEASE-NOTES</filename>et tous les fichiers depuis "
-"<filename>Fedora</filename> des disques 1 à 5. Sur les systèmes Linux et "
+"<filename>Packages</filename> des disques 1 à 5. Sur les systèmes Linux et "
 "Unix, la méthode suivante va configurer correctement le /répertoire/cible/ "
 "sur votre serveur (à répéter pour chaque disque) :"
 
@@ -265,9 +259,8 @@
 msgstr "mount /mnt/cdrom"
 
 #: en_US/README.xml:163(command)
-#, fuzzy
 msgid "cp -a /mnt/cdrom/Packages /target/directory"
-msgstr "cp -a /mnt/cdrom/repodata /répertoire/cible"
+msgstr "cp -a /mnt/cdrom/Packages /répertoire/cible"
 
 #: en_US/README.xml:168(command)
 msgid "cp /mnt/cdrom/RELEASE-NOTES* /target/directory"
@@ -465,11 +458,3 @@
 msgid "translator-credits"
 msgstr "Alain Portal <alain.portal@univ-montp2.fr>, 2007"
 
-#~ msgid "Update for Fedora 7, in time for test4 release"
-#~ msgstr "Mise à jour pour Fedora 7, à temps pour la version test4"
-
-#~ msgid "Break into independent module"
-#~ msgstr "Séparer en modules indépendants"
-
-#~ msgid "cp -a /mnt/cdrom/Fedora /target/directory"
-#~ msgstr "cp -a /mnt/cdrom/Fedora /répertoire/cible"