--- anaconda.master.fr-0.po	2008-10-17 22:20:07.000000000 +0200
+++ anaconda.master.fr.po	2008-10-17 22:18:57.000000000 +0200
@@ -18,7 +18,7 @@
 "Project-Id-Version: anaconda.master.fr\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-10-13 10:57-0400\n"
-"PO-Revision-Date: 2008-10-17 22:20+0100\n"
+"PO-Revision-Date: 2008-10-17 22:18+0100\n"
 "Last-Translator: Le Coz Florent <louizatakk@fedoraproject.org>\n"
 "Language-Team: French <i18@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -615,9 +615,8 @@
 msgstr "En cours...   "
 
 #: ../cmdline.py:97
-#, fuzzy
 msgid "an't have a question in command line mode!"
-msgstr "Impossible d'avoir une question en mode ligne de commande !"
+msgstr "Impossible d'avoir une question en ligne de commande !"
 
 #: ../cmdline.py:116
 msgid "Parted exceptions can't be handled in command line mode!"
@@ -1181,9 +1180,8 @@
 
 #: ../gui.py:652
 #: ../text.py:318
-#, fuzzy
 msgid "Choose a passphrase for your encrypted devices. You will be prompted for the passphrase during system boot."
-msgstr "Choisissez une phrase de passe pour le chiffrement de cette partition%s. La phrase de passe vous sera demandée durant le démarrage du système."
+msgstr "Choisissez une phrase de passe pour vos périphériques chiffrés. Votre phrase de passe vous sera demandé lors du démarrage du système."
 
 #: ../gui.py:671
 #: ../gui.py:679
@@ -1213,9 +1211,8 @@
 msgstr "Bugzilla (%s)"
 
 #: ../gui.py:801
-#, fuzzy
 msgid "No devices found"
-msgstr "Aucun pilote n'a été trouvé"
+msgstr "Aucun périphérique n'a été trouvé"
 
 #: ../gui.py:920
 #: ../gui.py:921
@@ -1403,14 +1400,13 @@
 msgstr "Installer sur le système"
 
 #: ../instdata.py:118
-#, fuzzy
 msgid "Unknown Device"
-msgstr "Périphérique Ethernet inconnu"
+msgstr "Périphérique inconnu"
 
 #: ../instdata.py:119
-#, fuzzy, python-format
+#, python-format
 msgid "The installation source given by device %s could not be found.  Please check your parameters and try again."
-msgstr "Aucun disque d'installation n'a été trouvé. Veuillez insérer un disque dans votre lecteur et essayez à nouveau."
+msgstr "La source d'installation donnée par le périphérique %s n'a pas été trouvée. Veuillez vérifier vos paramètres et essayer à nouveau."
 
 #: ../iscsi.py:449
 #: ../iscsi.py:450
@@ -1500,9 +1496,8 @@
 msgstr "La taille du système de fichiers racine que vous avez créé n'est pas suffisamment importante pour cette image live (%.2f Mio nécessaires)."
 
 #: ../network.py:56
-#, fuzzy
 msgid "Hostname must be 255 or fewer characters in length."
-msgstr "Le nom d'hôte doit comporter au maximum 64 caractères de long."
+msgstr "Le nom d'hôte doit comporter au maximum 255 caractères."
 
 #: ../network.py:62
 msgid "Hostname must start with a valid character in the ranges 'a-z', 'A-Z', or '0-9'"
@@ -1986,7 +1981,7 @@
 msgstr "Formatage du disque %s en cours, veuillez patienter...\n"
 
 #: ../partedUtils.py:1101
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "The partition table on device %s (%s %-0.f MB) was unreadable.\n"
 "\n"
@@ -1997,6 +1992,7 @@
 "Would you like to initialize this drive, erasing ALL DATA?"
 msgstr ""
 "La table de partitions du périphérique %s (%s %-0.f MB) est illisible.\n"
+"\n"
 "Elle doit être initialisée pour créer de nouvelles partitions. Cette initialisation provoquera la perte de TOUTES LES DONNÉES contenues sur ce disque.\n"
 "\n"
 "Cette opération annulera tout choix d'installation précédent précisant les disques durs qui ne doivent pas être pris en compte.\n"
@@ -2029,9 +2025,8 @@
 msgstr "Clé de chiffrage?"
 
 #: ../partitions.py:126
-#, fuzzy
 msgid "You specified block device encryption should be enabled, but you have not supplied a passphrase. If you do not go back and provide a passphrase, block device encryption will be disabled."
-msgstr "Vous indiquez que le chiffrage du périphérique en mode bloc doit être activé%s, mais vous n'avez pas donné la phrase de passe. Si vous ne revenez pas en arrière pour donner une phrase de passe, le chiffrage%s du périphérique en mode bloc sera désactivé."
+msgstr "Vous indiquez que le chiffrage du périphérique en mode bloc doit être activés, mais vous n'avez pas donné de phrase de passe. Si vous ne revenez pas en arrière pour donner une phrase de passe, le chiffrages du périphérique en mode bloc sera désactivé."
 
 #: ../partitions.py:133
 #: ../partitions.py:263
@@ -2206,7 +2201,7 @@
 
 #: ../rescue.py:197
 msgid "Unable to activate a networking device.  Networking will not be available in rescue mode."
-msgstr ""
+msgstr "Impossible d'activer un périphérique réseau. Le réseau ne sera pas disponible en mode de dépannage."
 
 #: ../rescue.py:231
 #: ../rescue.py:301
@@ -2342,9 +2337,8 @@
 msgstr "Saisissez une phrase de passe pour la partition chiffrée "
 
 #: ../text.py:336
-#, fuzzy
 msgid "Also add this passphrase to all existing encrypted devices"
-msgstr "Saisissez une phrase de passe pour toutes les nouvelles partitions chiffrées"
+msgstr "Ajouter également cette phrase de passe à tous les périphériques chiffrés existants"
 
 #: ../text.py:367
 #, python-format
@@ -2560,7 +2554,6 @@
 "d' échec de la connexion à vncviewer\n"
 
 #: ../vnc.py:261
-#, fuzzy
 msgid ""
 "\n"
 "\n"
@@ -2572,7 +2565,7 @@
 "\n"
 "\n"
 "ATTENTION !!! Le serveur VNC est en cours d'exécution SANS MOT DE PASSE !\n"
-"Vous pouvez utiliser l'option de démarrage self.password=<password>\n"
+"Vous pouvez utiliser l'option de démarrage vncpassword=<password>\n"
 "si vous souhaitez sécuriser le serveur.\n"
 "\n"
 
@@ -2706,14 +2699,12 @@
 msgstr "%s paquetages traités sur %s"
 
 #: ../yuminstall.py:219
-#, fuzzy
 msgid "Finishing upgrade"
 msgstr "Achèvement de la mise à niveau..."
 
 #: ../yuminstall.py:220
-#, fuzzy
 msgid "Finishing upgrade process.  This may take a little while..."
-msgstr "Démarrage du processus d'installation. Veuillez patienter quelques minutes... "
+msgstr "Achèvement du processus de mise à niveau. Cela peut prendre un certain temps..."
 
 #: ../yuminstall.py:290
 #: ../iw/task_gui.py:283
@@ -2972,9 +2963,9 @@
 msgstr "Paquetages dans %s"
 
 #: ../iw/GroupSelector.py:442
-#, fuzzy, python-format
+#, python-format
 msgid "Optional packages selected: %d of %d"
-msgstr "Pas de paquetage optionnel à sélectionner"
+msgstr "Paquets optionnels sélectionnés : %d sur %d"
 
 #: ../iw/GroupSelector.py:443
 #, python-format
@@ -3059,25 +3050,24 @@
 #: ../textw/partition_text.py:1714
 #: ../textw/partition_text.py:1719
 #: ../textw/partition_text.py:1723
-#, fuzzy
 msgid "Missing value"
-msgstr "Périphérique manquant"
+msgstr "Valeur manquante"
 
 #: ../iw/autopart_type.py:285
 msgid "CHAP username is required if CHAP password is defined."
-msgstr ""
+msgstr "Le nom d'utilisateur CHAP est nécessaire si le mot de passe CHAP est défini."
 
 #: ../iw/autopart_type.py:289
 msgid "CHAP password is required if CHAP username is defined."
-msgstr ""
+msgstr "Le mot de passe CHAP est nécessaire si le nom d'utilisateur CHAP est défini."
 
 #: ../iw/autopart_type.py:295
 msgid "Reverse CHAP username is required if reverse CHAP password is defined."
-msgstr ""
+msgstr "Le nom d'utilisateur inversé CHAP est nécessaire si le mot de passe inversé CHAP est défini."
 
 #: ../iw/autopart_type.py:299
 msgid "Reverse CHAP password is required if reverse CHAP username is defined."
-msgstr ""
+msgstr "Le mot de passe inversé CHAP est nécessaire si le nom d'utilisateur inversé CHAP est défini."
 
 #: ../iw/autopart_type.py:317
 msgid "Error with Data"
@@ -3640,13 +3630,12 @@
 
 #: ../iw/network_gui.py:61
 #: ../iw/network_gui.py:67
-#, fuzzy
 msgid "Error with Hostname"
-msgstr "Erreur de données"
+msgstr "Erreur de nom d'hôte"
 
 #: ../iw/network_gui.py:62
 msgid "You must enter a valid hostname for this computer."
-msgstr ""
+msgstr "Vous devez entrer un nom d'hôte valide pour cet ordinateur."
 
 #: ../iw/network_gui.py:68
 #: ../textw/network_text.py:83
@@ -4727,14 +4716,12 @@
 msgstr "Masque réseau IPv4 "
 
 #: ../textw/netconfig_text.py:264
-#, fuzzy
 msgid "Configuring Network Interfaces"
-msgstr "Configuration de l'interface réseau"
+msgstr "Configuration des interfaces réseau"
 
 #: ../textw/netconfig_text.py:264
-#, fuzzy
 msgid "Waiting for NetworkManager..."
-msgstr "Patientez pendant que le NetworkManager configure %s...\n"
+msgstr "En attente de NetworkManager..."
 
 #: ../textw/network_text.py:42
 msgid "Hostname Configuration"
@@ -5068,38 +5055,36 @@
 msgstr "Nom d'initiateur iSCSI"
 
 #: ../textw/partition_text.py:1691
-#, fuzzy
 msgid "CHAP username"
-msgstr "Nom d'utili_sateur du proxy:"
+msgstr "Nom d'utilisateur CHAP"
 
 #: ../textw/partition_text.py:1692
-#, fuzzy
 msgid "CHAP password"
-msgstr "Mot de passe"
+msgstr "Mot de passe CHAP"
 
 #: ../textw/partition_text.py:1693
 msgid "Reverse CHAP username"
-msgstr ""
+msgstr "Nom d'utilisateur inversé CHAP"
 
 #: ../textw/partition_text.py:1694
 msgid "Reverse CHAP password"
-msgstr ""
+msgstr "Mot de passe inversé CHAP"
 
 #: ../textw/partition_text.py:1712
 msgid "Username is required when password is present."
-msgstr ""
+msgstr "Le nom d'utilisateur est nécessaire lorsque le mot de passe est présent."
 
 #: ../textw/partition_text.py:1715
 msgid "Password is required when username is present."
-msgstr ""
+msgstr "Le mot de passe est nécessaire lorsque le nom d'utilisateur est présent."
 
 #: ../textw/partition_text.py:1720
 msgid "Reverse username is required whenreverse password is present."
-msgstr ""
+msgstr "Le nom d'utilisateur inversé est nécessaire lorsque le mot de passe inversé est présent."
 
 #: ../textw/partition_text.py:1724
 msgid "Reverse password is required whenreverse username is present."
-msgstr ""
+msgstr "Le mot de passe inversé est nécessaire lorsque le nom d'utilisateur inversé est présent."
 
 #: ../textw/partmethod_text.py:34
 msgid "Autopartition"
@@ -5261,7 +5246,6 @@
 msgstr "Développement logiciel"
 
 #: ../installclasses/fedora.py:50
-#, fuzzy
 msgid "Web Server"
 msgstr "Serveur Web"
 
@@ -6291,14 +6275,14 @@
 msgstr "Fichier_Destination"
 
 #: tmp/exnSave.glade.h:3
-#, fuzzy
 msgid ""
 "Local storage device\n"
 "Local disk\n"
 "Remote server (scp)"
 msgstr ""
-"Dsique local\n"
-"Serveur éloigné (scp)"
+"Périphérique de stockage local\n"
+"Disque local\n"
+"Serveur distant (scp)"
 
 #: tmp/exnSave.glade.h:6
 msgid "Please choose a destination for saving your traceback."
@@ -6331,24 +6315,20 @@
 msgstr "Veuillez saisir votre %(instkey)s."
 
 #: tmp/iscsi-config.glade.h:1
-#, fuzzy
 msgid "<b>CHAP _Password:</b>"
-msgstr "<b>Mot de _passe :</b>"
+msgstr "<b>Mot de _passe CHAP :</b>"
 
 #: tmp/iscsi-config.glade.h:2
-#, fuzzy
 msgid "<b>CHAP _Username:</b>"
-msgstr "<b>Nom d'_utilisateur :</b>"
+msgstr "<b>Nom d'_utilisateur CHAP :</b>"
 
 #: tmp/iscsi-config.glade.h:3
-#, fuzzy
 msgid "<b>Reverse CHAP P_assword:</b>"
-msgstr "<b>Mot de _passe :</b>"
+msgstr "<b>Mot de p_asse inversé CHAP :</b>"
 
 #: tmp/iscsi-config.glade.h:4
-#, fuzzy
 msgid "<b>Reverse CHAP U_sername:</b>"
-msgstr "<b>Nom d'_utilisateur :</b>"
+msgstr "<b>Nom d'u_tilisateur inversé CHAP :</b>"
 
 #: tmp/iscsi-config.glade.h:5
 msgid "<b>_Target IP Address:</b>"
@@ -6375,9 +6355,8 @@
 msgstr "Installer sur le disque dur"
 
 #: tmp/lukspassphrase.glade.h:1
-#, fuzzy
 msgid "Also add this passphrase to all existing encrypted devices to streamline the boot process"
-msgstr "Saisissez une phrase de passe pour toutes les nouvelles partitions chiffrées"
+msgstr "Ajouter également cette phrase de passe à tous les périphériques existants afin de rationaliser the processus de démarrage"
 
 #: tmp/lukspassphrase.glade.h:2
 msgid "Choose a passphrase for this encrypted partition. You will be prompted for the passphrase during system boot."
@@ -6428,13 +6407,12 @@
 msgstr "Utiliser une configuration d'IP _dynamique (DHCP)"
 
 #: tmp/network.glade.h:1
-#, fuzzy
 msgid "Hostname:"
-msgstr "Nom d'hôte"
+msgstr "Nom d'hôte :"
 
 #: tmp/network.glade.h:2
 msgid "Please name this computer.  The hostname identifies the computer on a network."
-msgstr ""
+msgstr "Veuillez nommer cet ordinateur. Le nom d'hôte identifie l'ordinateur sur le réseau."
 
 #: tmp/tasksel.glade.h:1
 msgid "Customize _later"