--- avahi.trunk.po	2008-04-09 10:00:43.000000000 +0200
+++ avahi.trunk_modifié.po	2008-04-09 12:39:10.000000000 +0200
@@ -1,320 +1,320 @@
-# SOME DESCRIPTIVE TITLE.
+# translation of avahi.trunk_modifié.po to french
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 #
-#, fuzzy
+# Matthieu Rondeau <milanito1985@yahoo.fr>, 2008.
 msgid ""
 msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
+"Project-Id-Version: avahi.trunk_modifié\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-04-09 02:45+0000\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"PO-Revision-Date: 2008-04-09 12:39+0200\n"
+"Last-Translator: Matthieu Rondeau <milanito1985@yahoo.fr>\n"
+"Language-Team: french <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
 
 #: ../avahi-common/error.c:32
 msgid "OK"
-msgstr ""
+msgstr "Ok"
 
 #: ../avahi-common/error.c:33
 msgid "Operation failed"
-msgstr ""
+msgstr "L'opération a échoué"
 
 #: ../avahi-common/error.c:34
 msgid "Bad state"
-msgstr ""
+msgstr "Mauvais état"
 
 #: ../avahi-common/error.c:35
 msgid "Invalid host name"
-msgstr ""
+msgstr "Nom d'hôte invalide"
 
 #: ../avahi-common/error.c:36
 msgid "Invalid domain name"
-msgstr ""
+msgstr "Nom de domaine invalide"
 
 #: ../avahi-common/error.c:37
 msgid "No suitable network protocol available"
-msgstr ""
+msgstr "Pas de protocoles réseau convenables disponibles"
 
 #: ../avahi-common/error.c:38
 msgid "Invalid DNS TTL"
-msgstr ""
+msgstr "DNS TTL invalide"
 
 #: ../avahi-common/error.c:39
 msgid "Resource record key is pattern"
-msgstr ""
+msgstr "La clef de l'enregistrement de la ressource est modélisée"
 
 #: ../avahi-common/error.c:40
 msgid "Local name collision"
-msgstr ""
+msgstr "Heurt de nom local"
 
 #: ../avahi-common/error.c:41
 msgid "Invalid record"
-msgstr ""
+msgstr "Enregistrement invalide"
 
 #: ../avahi-common/error.c:43
 msgid "Invalid service name"
-msgstr ""
+msgstr "Nom de service invalide"
 
 #: ../avahi-common/error.c:44
 msgid "Invalid service type"
-msgstr ""
+msgstr "Type de service invalide"
 
 #: ../avahi-common/error.c:45
 msgid "Invalid port number"
-msgstr ""
+msgstr "Numéro de port invalide"
 
 #: ../avahi-common/error.c:46
 msgid "Invalid record key"
-msgstr ""
+msgstr "Enregistrement de clef invalide"
 
 #: ../avahi-common/error.c:47
 msgid "Invalid address"
-msgstr ""
+msgstr "Adresse invalide"
 
 #: ../avahi-common/error.c:48
 msgid "Timeout reached"
-msgstr ""
+msgstr "Interruption atteinte"
 
 #: ../avahi-common/error.c:49
 msgid "Too many clients"
-msgstr ""
+msgstr "Trop de clients"
 
 #: ../avahi-common/error.c:50
 msgid "Too many objects"
-msgstr ""
+msgstr "Trop d'objets"
 
 #: ../avahi-common/error.c:51
 msgid "Too many entries"
-msgstr ""
+msgstr "Trop d'entrées"
 
 #: ../avahi-common/error.c:52
 msgid "OS Error"
-msgstr ""
+msgstr "Erreur OS"
 
 #: ../avahi-common/error.c:54
 msgid "Access denied"
-msgstr ""
+msgstr "Accès refusé"
 
 #: ../avahi-common/error.c:55
 msgid "Invalid operation"
-msgstr ""
+msgstr "Opération invalide"
 
 #: ../avahi-common/error.c:56
 msgid "An unexpected D-Bus error occured"
-msgstr ""
+msgstr "Une erreur non prévue de D-Bus est arrivée"
 
 #: ../avahi-common/error.c:57
 msgid "Daemon connection failed"
-msgstr ""
+msgstr "La connexion au démon a échoué"
 
 #: ../avahi-common/error.c:58
 msgid "Memory exhausted"
-msgstr ""
+msgstr "Épuisement de la mémoire"
 
 #: ../avahi-common/error.c:59
 msgid "The object passed in was not valid"
-msgstr ""
+msgstr "L'objet passé n'était pas valide"
 
 #: ../avahi-common/error.c:60
 msgid "Daemon not running"
-msgstr ""
+msgstr "Le démon n'est pas en marche"
 
 #: ../avahi-common/error.c:61
 msgid "Invalid interface index"
-msgstr ""
+msgstr "Index d'interface invalide"
 
 #: ../avahi-common/error.c:62
 msgid "Invalid protocol specification"
-msgstr ""
+msgstr "Spécification de protocole invalide"
 
 #: ../avahi-common/error.c:63
 msgid "Invalid flags"
-msgstr ""
+msgstr "Drapeaux invalides"
 
 #: ../avahi-common/error.c:65
 msgid "Not found"
-msgstr ""
+msgstr "Non trouvé"
 
 #: ../avahi-common/error.c:66
 msgid "Invalid configuration"
-msgstr ""
+msgstr "Configuration invalide"
 
 #: ../avahi-common/error.c:67
 msgid "Version mismatch"
-msgstr ""
+msgstr "La version ne correspond pas"
 
 #: ../avahi-common/error.c:68
 msgid "Invalid service subtype"
-msgstr ""
+msgstr "Sous-type de service invalide"
 
 #: ../avahi-common/error.c:69
 msgid "Invalid packet"
-msgstr ""
+msgstr "Paquet invalide"
 
 #: ../avahi-common/error.c:70
 msgid "Invalid DNS return code"
-msgstr ""
+msgstr "Code de retour DNS invalide"
 
 #: ../avahi-common/error.c:71
 msgid "DNS failure: FORMERR"
-msgstr ""
+msgstr "Échec DNS : FORMERR"
 
 #: ../avahi-common/error.c:72
 msgid "DNS failure: SERVFAIL"
-msgstr ""
+msgstr "Échec DNS : SERVFAIL"
 
 #: ../avahi-common/error.c:73
 msgid "DNS failure: NXDOMAIN"
-msgstr ""
+msgstr "Échec DNS : NXDOMAIN"
 
 #: ../avahi-common/error.c:74
 msgid "DNS failure: NOTIMP"
-msgstr ""
+msgstr "Échec DNS : NOTIMP"
 
 #: ../avahi-common/error.c:76
 msgid "DNS failure: REFUSED"
-msgstr ""
+msgstr "Échec DNS :REFUSED"
 
 #: ../avahi-common/error.c:77
 msgid "DNS failure: YXDOMAIN"
-msgstr ""
+msgstr "Échec DNS : YXDOMAIN"
 
 #: ../avahi-common/error.c:78
 msgid "DNS failure: YXRRSET"
-msgstr ""
+msgstr "Échec DNS : YXRRSET"
 
 #: ../avahi-common/error.c:79
 msgid "DNS failure: NXRRSET"
-msgstr ""
+msgstr "Échec DNS : NXRRSET"
 
 #: ../avahi-common/error.c:80
 msgid "DNS failure: NOTAUTH"
-msgstr ""
+msgstr "Échec DNS : NOTAUTH"
 
 #: ../avahi-common/error.c:81
 msgid "DNS failure: NOTZONE"
-msgstr ""
+msgstr "Échec DNS : NOTZONE"
 
 #: ../avahi-common/error.c:82
 msgid "Invalid RDATA"
-msgstr ""
+msgstr "RDATA invalide"
 
 #: ../avahi-common/error.c:83
 msgid "Invalid DNS type"
-msgstr ""
+msgstr "Type de DNS invalide"
 
 #: ../avahi-common/error.c:84
 msgid "Invalid DNS class"
-msgstr ""
+msgstr "Classe de DNS invalide"
 
 #: ../avahi-common/error.c:85
 msgid "Not supported"
-msgstr ""
+msgstr "Non supporté"
 
 #: ../avahi-common/error.c:87
 msgid "Not permitted"
-msgstr ""
+msgstr "Non permit"
 
 #: ../avahi-common/error.c:88
 msgid "Invalid argument"
-msgstr ""
+msgstr "Argument invalide"
 
 #: ../avahi-common/error.c:89
 msgid "Is empty"
-msgstr ""
+msgstr "Est vide"
 
 #: ../avahi-common/error.c:90
 msgid "The requested operation is invalid because redundant"
-msgstr ""
+msgstr "L'opération demandée est invalide car redondante"
 
 #: ../avahi-common/error.c:96
 msgid "Invalid Error Code"
-msgstr ""
+msgstr "Invalide, erreur de code"
 
 #: ../avahi-ui/avahi-ui.c:326
 #, c-format
 msgid "Avahi client failure: %s"
-msgstr ""
+msgstr "Échec client Avahi : %s"
 
 #: ../avahi-ui/avahi-ui.c:388
 #, c-format
 msgid "Avahi resolver failure: %s"
-msgstr ""
+msgstr "Échec du résolveur Avahi : %s"
 
 #: ../avahi-ui/avahi-ui.c:518
 #, c-format
 msgid "Browsing for service type %s in domain %s failed: %s"
-msgstr ""
+msgstr "Échec de l'affichage du type de service %s dans le domaine %s : %s"
 
 #: ../avahi-ui/avahi-ui.c:519 ../avahi-utils/avahi-browse.c:157
 #: ../avahi-utils/avahi-browse.c:158 ../avahi-utils/avahi-browse.c:164
 #: ../avahi-utils/avahi-browse.c:165
 msgid "n/a"
-msgstr ""
+msgstr "n/a"
 
 #: ../avahi-ui/avahi-ui.c:649
 #, c-format
 msgid "Avahi domain browser failure: %s"
-msgstr ""
+msgstr "Échec du navigateur de domaine Avahi : %s"
 
 #: ../avahi-ui/avahi-ui.c:684
 #, c-format
 msgid "Failed to read Avahi domain: %s"
-msgstr ""
+msgstr "Échec de la lecture du domaine Avahi : %s"
 
 #: ../avahi-ui/avahi-ui.c:717
 #, c-format
 msgid "Failed to connect to Avahi server: %s"
-msgstr ""
+msgstr "Échec de la connexion au serveur Avahi : %s"
 
 #: ../avahi-ui/avahi-ui.c:735
 msgid "Browsing for services on <b>local network</b>:"
-msgstr ""
+msgstr "Affichage des services dans <b>le réseau local</b>"
 
 #: ../avahi-ui/avahi-ui.c:737
 #, c-format
 msgid "Browsing for services in domain <b>%s</b>:"
-msgstr ""
+msgstr "Affichage des services dans le domaine <b>%s</b>"
 
 #: ../avahi-ui/avahi-ui.c:773
 #, c-format
 msgid "Failed to create browser for %s: %s"
-msgstr ""
+msgstr "Échec de création de l'afficheur pour %s : %s"
 
 #: ../avahi-ui/avahi-ui.c:903
 #, c-format
 msgid "Failed to create resolver for %s of type %s in domain %s: %s"
-msgstr ""
+msgstr "Échec de création du résolveur pour %s du type %s dans le domaine %s :%s"
 
 #: ../avahi-ui/avahi-ui.c:978
 #, c-format
 msgid "Failed to create domain browser: %s"
-msgstr ""
+msgstr "Échec de création de l'afficheur de domaine : %s"
 
 #: ../avahi-ui/avahi-ui.c:989
 msgid "Change domain"
-msgstr ""
+msgstr "Changement de domaine"
 
 #: ../avahi-ui/avahi-ui.c:1021
 msgid "Service Name"
-msgstr ""
+msgstr "Nom de service"
 
 #: ../avahi-ui/avahi-ui.c:1029 ../avahi-ui/avahi-ui.c:1160
 msgid "Browsing ..."
-msgstr ""
+msgstr "Affichage ..."
 
 #: ../avahi-ui/avahi-ui.c:1118
 msgid "Initializing..."
-msgstr ""
+msgstr "Initialisation ..."
 
 #: ../avahi-ui/avahi-ui.c:1164
 msgid "_Domain..."
-msgstr ""
+msgstr "_Domaine ..."
 
 #: ../avahi-ui/bssh.c:57
 #, c-format
@@ -327,162 +327,169 @@
 "    -S --shell           Browse both SSH and VNC\n"
 "    -d --domain=DOMAIN   The domain to browse in\n"
 msgstr ""
+"%s [options]\n"
+"\n"
+"    -h --help            Montre l'aide\n"
+"    -s --ssh             Affiche les serveur SSH\n"
+"    -v --vnc             Affiche les serveur VNC\n"
+"    -S --shell           Affiche SSH et VNC\n"
+"    -d --domain=DOMAIN   Le domaine dans lequel naviguer\n"
 
 #: ../avahi-ui/bssh.c:103 ../avahi-utils/avahi-browse.c:754
 #, c-format
 msgid "Too many arguments\n"
-msgstr ""
+msgstr "Trop d'argument\n"
 
 #: ../avahi-ui/bssh.c:147
 msgid "Choose Shell Server"
-msgstr ""
+msgstr "Choisissez un serveur Shell"
 
 #: ../avahi-ui/bssh.c:149
 msgid "Desktop"
-msgstr ""
+msgstr "Bureau"
 
 #: ../avahi-ui/bssh.c:150
 msgid "Terminal"
-msgstr ""
+msgstr "Terminal"
 
 #: ../avahi-ui/bssh.c:154
 msgid "Choose VNC server"
-msgstr ""
+msgstr "Choisissez un serveur VNC"
 
 #: ../avahi-ui/bssh.c:159
 msgid "Choose SSH server"
-msgstr ""
+msgstr "Choisissez un serveur SSH"
 
 #: ../avahi-ui/bssh.c:183
 #, c-format
 msgid "Connecting to '%s' ...\n"
-msgstr ""
+msgstr "Connexion à '%s' ...\n"
 
 #: ../avahi-ui/bssh.c:238
 #, c-format
 msgid "execlp() failed: %s\n"
-msgstr ""
+msgstr "Échec de execlp() : %s\n"
 
 #: ../avahi-ui/bssh.c:248
 msgid "Canceled.\n"
-msgstr ""
+msgstr "Annulé.\n"
 
 #: ../avahi-ui/bssh.desktop.in.h:1
 msgid "Avahi SSH Server Browser"
-msgstr ""
+msgstr "Navigateur de serveur SSH Avahi"
 
 #: ../avahi-ui/bssh.desktop.in.h:2
 msgid "Browse for Zeroconf-enabled SSH Servers"
-msgstr ""
+msgstr "Affiche les serveurs SSH avec Zeroconf activé"
 
 #: ../avahi-ui/bvnc.desktop.in.h:1
 msgid "Avahi VNC Server Browser"
-msgstr ""
+msgstr "Navigateur de serveurs VNC Avahi"
 
 #: ../avahi-ui/bvnc.desktop.in.h:2
 msgid "Browse for Zeroconf-enabled VNC Servers"
-msgstr ""
+msgstr "Affiche les serveurs VNC avec Zeroconf activé"
 
 #: ../avahi-utils/avahi-browse.c:108
 #, c-format
 msgid ": All for now\n"
-msgstr ""
+msgstr ": Tout pour le moment\n"
 
 #: ../avahi-utils/avahi-browse.c:119
 #, c-format
 msgid ": Cache exhausted\n"
-msgstr ""
+msgstr ": Mémoire cache dépassée\n"
 
 #: ../avahi-utils/avahi-browse.c:223 ../avahi-utils/avahi-browse.c:245
 #, c-format
 msgid "Failed to resolve service '%s' of type '%s' in domain '%s': %s\n"
-msgstr ""
+msgstr "Échec de résolution du service '%s' de type %s dans le domaine '%s' : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:324
 #, c-format
 msgid "service_browser failed: %s\n"
-msgstr ""
+msgstr "Échec du Navigateur_de_services : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:362
 #, c-format
 msgid "avahi_service_browser_new() failed: %s\n"
-msgstr ""
+msgstr "Échec du Navigateur_de_services_Avahi_new() : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:398
 #, c-format
 msgid "service_type_browser failed: %s\n"
-msgstr ""
+msgstr "Échec du navigateur_de_types_de_service : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:428
 #, c-format
 msgid "avahi_service_type_browser_new() failed: %s\n"
-msgstr ""
+msgstr "Échec du navigateur_de_types_de_service_Avahi_new() : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:503
 #, c-format
 msgid "avahi_domain_browser_new() failed: %s\n"
-msgstr ""
+msgstr "Échec du navigateur_de_domaines_Avahi_new() : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:519 ../avahi-utils/avahi-publish.c:391
 #: ../avahi-utils/avahi-resolve.c:282 ../avahi-utils/avahi-set-host-name.c:170
 #, c-format
 msgid "Failed to query version string: %s\n"
-msgstr ""
+msgstr "Échec de la demande de la chaine de version : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:524 ../avahi-utils/avahi-publish.c:396
 #: ../avahi-utils/avahi-resolve.c:287 ../avahi-utils/avahi-set-host-name.c:175
 #: ../avahi-utils/avahi-set-host-name.c:191
 #, c-format
 msgid "Failed to query host name: %s\n"
-msgstr ""
+msgstr "Échec de la demande de nom d'hôte : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:528 ../avahi-utils/avahi-publish.c:400
 #: ../avahi-utils/avahi-resolve.c:291 ../avahi-utils/avahi-set-host-name.c:179
 #, c-format
 msgid "Server version: %s; Host name: %s\n"
-msgstr ""
+msgstr "Version du serveur : %s; Nom d'hôte : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:531
 #, c-format
 msgid "E Ifce Prot Domain\n"
-msgstr ""
+msgstr "Domaine E Ifce Prot\n"
 
 #: ../avahi-utils/avahi-browse.c:533
 #, c-format
 msgid "E Ifce Prot %-*s %-20s Domain\n"
-msgstr ""
+msgstr "Domaine E Ifce Prot %-*s %-20s\n"
 
 #: ../avahi-utils/avahi-browse.c:533
 msgid "Name"
-msgstr ""
+msgstr "Nom"
 
 #: ../avahi-utils/avahi-browse.c:533
 msgid "Type"
-msgstr ""
+msgstr "Type"
 
 #. We have been disconnected, so let reconnect
 #: ../avahi-utils/avahi-browse.c:564 ../avahi-utils/avahi-publish.c:165
 #, c-format
 msgid "Disconnected, reconnecting ...\n"
-msgstr ""
+msgstr "Déconnecté, reconnection ...\n"
 
 #: ../avahi-utils/avahi-browse.c:578 ../avahi-utils/avahi-browse.c:808
 #: ../avahi-utils/avahi-publish.c:172 ../avahi-utils/avahi-publish.c:383
 #: ../avahi-utils/avahi-resolve.c:274 ../avahi-utils/avahi-set-host-name.c:162
 #, c-format
 msgid "Failed to create client object: %s\n"
-msgstr ""
+msgstr "Échec dans la création de l'objet du client : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:583 ../avahi-utils/avahi-publish.c:177
 #: ../avahi-utils/avahi-resolve.c:145 ../avahi-utils/avahi-set-host-name.c:61
 #, c-format
 msgid "Client failure, exiting: %s\n"
-msgstr ""
+msgstr "Échec du client, arrêt : %s\n"
 
 #: ../avahi-utils/avahi-browse.c:602 ../avahi-utils/avahi-publish.c:208
 #, c-format
 msgid "Waiting for daemon ...\n"
-msgstr ""
+msgstr "En attente du démon ...\n"
 
 #: ../avahi-utils/avahi-browse.c:626
 msgid ""
@@ -500,63 +507,77 @@
 "    -f --no-fail         Don't fail if the daemon is not available\n"
 "    -p --parsable        Output in parsable format\n"
 msgstr ""
+"    -h --help            Montre l'aide\n"
+"    -V --version         Montre la version\n"
+"    -D --browse-domains  Affiche les domaines au lieu des services\n"
+"    -a --all             Montre tous les services, sans se soucier du type\n"
+"    -d --domain=DOMAIN   Le domaine dans lequel naviguer\n"
+"    -v --verbose         Active le mode verbeux\n"
+"    -t --terminate       Met fin après avoir déposé une liste plus ou moins complète\n"
+"    -c --cache           Met fin après avoir déposé toutes les entrées dans le cache\n"
+"    -l --ignore-local    Ignore les services locaux\n"
+"    -r --resolve         Resoud les services trouvés\n"
+"    -f --no-fail         N'échoue pas si le démon n'est pas disponible\n"
+"    -p --parsable        Sortie en format collable\n"
 
 #: ../avahi-utils/avahi-browse.c:639
 msgid ""
 "    -k --no-db-lookup    Don't lookup service types\n"
 "    -b --dump-db         Dump service type database\n"
 msgstr ""
+"    -k --no-db-lookup    Ne cherche pas les type de service\n"
+"    -b --dump-db         Dépose la base de donnée des type de service\n"
 
 #: ../avahi-utils/avahi-browse.c:745 ../avahi-utils/avahi-resolve.c:221
 #, c-format
 msgid "Too few arguments\n"
-msgstr ""
+msgstr "Trp peu d'arguments\n"
 
 #: ../avahi-utils/avahi-browse.c:800 ../avahi-utils/avahi-publish.c:375
 #: ../avahi-utils/avahi-resolve.c:266 ../avahi-utils/avahi-set-host-name.c:154
 #, c-format
 msgid "Failed to create simple poll object.\n"
-msgstr ""
+msgstr "Échec de création d'un objet de simple sondage\n"
 
 #: ../avahi-utils/avahi-publish.c:78
 #, c-format
 msgid "Established under name '%s'\n"
-msgstr ""
+msgstr "Établi sous le nom '%s'\n"
 
 #: ../avahi-utils/avahi-publish.c:83
 #, c-format
 msgid "Failed to register: %s\n"
-msgstr ""
+msgstr "Échec d'enregistrement : %s \n"
 
 #: ../avahi-utils/avahi-publish.c:96
 #, c-format
 msgid "Name collision, picking new name '%s'.\n"
-msgstr ""
+msgstr "Collision de nom, choix d'un nouveau nom '%s'\n"
 
 #: ../avahi-utils/avahi-publish.c:116
 #, c-format
 msgid "Failed to create entry group: %s\n"
-msgstr ""
+msgstr "Échec de création de l'entrée de groupe : %s\n"
 
 #: ../avahi-utils/avahi-publish.c:126
 #, c-format
 msgid "Failed to add address: %s\n"
-msgstr ""
+msgstr "Échec de l'ajout de l'adresse : %s\n"
 
 #: ../avahi-utils/avahi-publish.c:136
 #, c-format
 msgid "Failed to add service: %s\n"
-msgstr ""
+msgstr "Échec de l'ajout de service : %s\n"
 
 #: ../avahi-utils/avahi-publish.c:142
 #, c-format
 msgid "Failed to add subtype '%s': %s\n"
-msgstr ""
+msgstr "Éched de l'ajout du sous-type '%s' : %s\n"
 
 #: ../avahi-utils/avahi-publish.c:193
 #, c-format
 msgid "Host name conflict\n"
-msgstr ""
+msgstr "Conflit de nom d'hôte\n"
 
 #: ../avahi-utils/avahi-publish.c:218
 #, c-format
@@ -575,31 +596,43 @@
 "with\n"
 "    -f --no-fail         Don't fail if the daemon is not available\n"
 msgstr ""
+"%s [options] %s <nom> <type> <port> [<texte ...>]\n"
+"%s [options] %s <nom d'hôte> <adresse>\n"
+"\n"
+"    -h --help            Montre l'aide\n"
+"    -V --version         Montre la version\n"
+"    -s --service         Publie le service\n"
+"    -a --address         Publie l'adresse\n"
+"    -v --verbose         Active le mode verbeux\n"
+"    -d --domain=DOMAIN   Domaine dans lequel plublier le service\n"
+"    -H --host=DOMAIN     Hôte où le service réside\n"
+"       --subtype=SUBTYPE Un sous-type additionnel avec lequel enregistrer le service\n"
+"    -f --no-fail         N'échoue pas si le démon n'est pas disponible\n"
 
 #: ../avahi-utils/avahi-publish.c:300 ../avahi-utils/avahi-publish.c:315
 #, c-format
 msgid "Bad number of arguments\n"
-msgstr ""
+msgstr "Mauvais nombre d'arguments\n"
 
 #: ../avahi-utils/avahi-publish.c:326
 #, c-format
 msgid "Failed to parse port number: %s\n"
-msgstr ""
+msgstr "Échec de l'analyse du numéro de port : %s\n"
 
 #: ../avahi-utils/avahi-publish.c:358 ../avahi-utils/avahi-resolve.c:248
 #, c-format
 msgid "No command specified.\n"
-msgstr ""
+msgstr "Pas de commande spécifiée.\n"
 
 #: ../avahi-utils/avahi-resolve.c:91
 #, c-format
 msgid "Failed to resolve host name '%s': %s\n"
-msgstr ""
+msgstr "Échec de résolution du nom d'hôte '%s' : %s\n"
 
 #: ../avahi-utils/avahi-resolve.c:128
 #, c-format
 msgid "Failed to resolve address '%s': %s\n"
-msgstr ""
+msgstr "Éched de résolution de l'adresse '%s' : %s\n"
 
 #: ../avahi-utils/avahi-resolve.c:159
 #, c-format
@@ -615,21 +648,31 @@
 "    -6                   Lookup IPv6 address\n"
 "    -4                   Lookup IPv4 address\n"
 msgstr ""
+"%s [options] %s <nom d'hôte ...>\n"
+"%s [options] %s <adresse ... >\n"
+"\n"
+"    -h --help            Montre l'aide\n"
+"    -V --version         Montre la version\n"
+"    -n --name            Résoud le nom d'hôte\n"
+"    -a --address         Résoud l'adresse\n"
+"    -v --verbose         Active le mode verbeux\n"
+"    -6                   Cherche l'adresse IPv6\n"
+"    -4                   Cherche l'adresse IPv4\n"
 
 #: ../avahi-utils/avahi-resolve.c:301 ../avahi-utils/avahi-set-host-name.c:183
 #, c-format
 msgid "Failed to create host name resolver: %s\n"
-msgstr ""
+msgstr "Échec de création du résolveur de nom d'hôte : %s\n"
 
 #: ../avahi-utils/avahi-resolve.c:311
 #, c-format
 msgid "Failed to parse address '%s'\n"
-msgstr ""
+msgstr "Échec d'analyse de l'adresse '%s'\n"
 
 #: ../avahi-utils/avahi-resolve.c:316
 #, c-format
 msgid "Failed to create address resolver: %s\n"
-msgstr ""
+msgstr "Éched de création du résolveur d'adresse : %s\n"
 
 #: ../avahi-utils/avahi-set-host-name.c:75
 #, c-format
@@ -640,13 +683,19 @@
 "    -V --version         Show version\n"
 "    -v --verbose         Enable verbose mode\n"
 msgstr ""
+"%s [options] <nouveau nom d'hôte>\n"
+"\n"
+"    -h --help            Montre l'aide\n"
+"    -V --version         Montre la version\n"
+"    -v --verbose         Active le mode verbeux\n"
 
 #: ../avahi-utils/avahi-set-host-name.c:116
 #, c-format
 msgid "Invalid number of arguments, expecting exactly one.\n"
-msgstr ""
+msgstr "Nombre d'arguments invalide, il en faut exactement un.\n"
 
 #: ../avahi-utils/avahi-set-host-name.c:195
 #, c-format
 msgid "Host name successfully changed to %s\n"
-msgstr ""
+msgstr "Nom d'hôte changé pour %s\n"
+