--- system-config-users.master.fr.po	2010-04-14 22:57:37.842688807 +0200
+++ system-config-users.trad.fr.po	2010-04-09 13:33:17.093886874 +0200
@@ -12,14 +12,15 @@
 # Alain PORTAL <aportal@univ-montp2.fr>, 2006, 2007.
 # Xavier Lamien <xavier.lamien@fedoraproject.org>, 2007.
 # Pablo Martin-Gomez <pablo.martin-gomez@laposte.net>, 2009.
+# Pablo Martin-Gomez <pablo.martin-gomez@laposte.net>, 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: s-c-users_2\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-03-31 13:42+0200\n"
-"PO-Revision-Date: 2010-04-05 20:28+0200\n"
-"Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
-"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
+"PO-Revision-Date: 2010-04-09 13:33+0200\n"
+"Last-Translator: Pablo Martin-Gomez <pablo.martin-gomez@laposte.net>\n"
+"Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -326,10 +327,10 @@
 "problems with some software. Is the account in question a Samba machine "
 "account?"
 msgstr ""
-"Le nom d'utilisateur « %s » contient le caractère « $ ». Ce signe est réservé "
+"Le nom d'utilisateur « %s » contient le caractère « $ ». Ce signe est réservé "
 "aux comptes des machines Samba. Utiliser ce caractère pour un compte "
 "utilisateur normal peut causer des problèmes avec certains logiciels. Ce "
-"compte est-il un compte de machine Samba ?"
+"compte est-il un compte de machine Samba ?"
 
 #: ../src/userGroupCheck.py:56
 #, python-format
@@ -394,8 +395,8 @@
 #, python-format
 msgid "The chosen password is too weak: %s. Do you want to use it anyway?"
 msgstr ""
-"La sécurité du mot de passe choisi est trop faible: %s. Voulez vous "
-"néanmoins l'utiliser?"
+"La sécurité du mot de passe choisi est trop faible : %s. Voulez vous "
+"néanmoins l'utiliser ?"
 
 #. have to check for whitespace for gecos, since whitespace is ok
 #: ../src/userGroupCheck.py:178
@@ -493,7 +494,8 @@
 
 #: ../src/userProperties.py:345 ../src/userWindow.py:201
 msgid "The password is too short.  Please use at least 6 characters."
-msgstr "Le mot de passe est trop court. Il doit contenir au moins 6 caractères."
+msgstr ""
+"Le mot de passe est trop court. Il doit contenir au moins 6 caractères."
 
 #: ../src/userProperties.py:354
 msgid "Passwords do not match."
@@ -621,11 +623,11 @@
 
 #: ../src/userWindow.py:333
 msgid "A group with this gid already exists.  What would you like to do?"
-msgstr "Un groupe ayant le même GID existe déjà . Que souhaitez-vous faire ?"
+msgstr "Un groupe ayant le même GID existe déjà. Que souhaitez-vous faire ?"
 
 #: ../src/userWindow.py:335
 msgid "A group with this name already exists.  What would you like to do?"
-msgstr "Un groupe du même nom existe déjà . Que souhaitez-vous faire ?"
+msgstr "Un groupe du même nom existe déjà. Que souhaitez-vous faire ?"
 
 #: ../src/userWindow.py:339
 msgid "Add to the existing group"
@@ -677,7 +679,7 @@
 
 #: system-config-users.gladestrings:13
 msgid "Pass_word:"
-msgstr "Mot d_e passe :"
+msgstr "Mot de _passe :"
 
 #: system-config-users.gladestrings:14 system-config-users.gladestrings:66
 msgid "Confir_m Password:"
@@ -705,7 +707,7 @@
 
 #: system-config-users.gladestrings:20
 msgid "Account e_xpires (YYYY-MM-DD):"
-msgstr "É_xpiration du compte (AAAA-MM-JJ) :"
+msgstr "E_xpiration du compte (AAAA-MM-JJ) :"
 
 #: system-config-users.gladestrings:21 system-config-users.gladestrings:29
 msgid "     "
@@ -757,7 +759,7 @@
 
 #: system-config-users.gladestrings:35
 msgid "Select the groups that the user will be a member of:"
-msgstr "Sélectionner les groupes dont l'utilisateur fera parti :"
+msgstr "Sélectionnez les groupes dont l'utilisateur fera partie :"
 
 #: system-config-users.gladestrings:36
 msgid "_Groups"
@@ -773,7 +775,7 @@
 
 #: system-config-users.gladestrings:40
 msgid "Select the users to join this group:"
-msgstr "Sélectionner les utilisateurs qui se joignent au groupe :"
+msgstr "Sélectionnez les utilisateurs qui se joignent au groupe :"
 
 #: system-config-users.gladestrings:41
 msgid "Group _Users"