--- system-config-samba.master-docs.fr.old.po	2010-01-03 16:40:50.000000000 +0100
+++ system-config-samba.master-docs.fr.po	2010-01-31 17:42:50.000000000 +0100
@@ -1,13 +1,16 @@
+# Thomas Canniot <mrtom@fedoraproject.org>, 2010.
 msgid ""
 msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
+"Project-Id-Version: \n"
 "POT-Creation-Date: 2008-03-12 11:20+0100\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"PO-Revision-Date: 2010-01-31 17:42+0100\n"
+"Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
+"Language-Team: French <fedora-trans-fr@fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -16,6 +19,8 @@
 "@@image: 'images/system-config-samba.png'; "
 "md5=d2f4605d5de25ec210212f6f47a8d346"
 msgstr ""
+"@@image: 'images/system-config-samba.png'; "
+"md5=d2f4605d5de25ec210212f6f47a8d346"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -24,6 +29,8 @@
 "@@image: 'images/system-config-samba-server-settings-basic.png'; "
 "md5=3dd6e874f59404578724d831739306eb"
 msgstr ""
+"@@image: 'images/system-config-samba-server-settings-basic.png'; "
+"md5=3dd6e874f59404578724d831739306eb"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -32,6 +39,8 @@
 "@@image: 'images/system-config-samba-server-settings-security.png'; "
 "md5=21d6c9f5d90f4807a2518665d574c4af"
 msgstr ""
+"@@image: 'images/system-config-samba-server-settings-security.png'; "
+"md5=21d6c9f5d90f4807a2518665d574c4af"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -40,6 +49,8 @@
 "@@image: 'images/system-config-samba-users.png'; "
 "md5=7d6f87ceae77d2e5a62b9fa2ab7b10a4"
 msgstr ""
+"@@image: 'images/system-config-samba-users.png'; "
+"md5=7d6f87ceae77d2e5a62b9fa2ab7b10a4"
 
 #. When image changes, this message will be marked fuzzy or untranslated for you.
 #. It doesn't matter what you translate it to: it's not used at all.
@@ -48,26 +59,28 @@
 "@@image: 'images/system-config-samba-create-share.png'; "
 "md5=1abd459f62b6f6aab85a3e66f31b157d"
 msgstr ""
+"@@image: 'images/system-config-samba-create-share.png'; "
+"md5=1abd459f62b6f6aab85a3e66f31b157d"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:22(title)
 msgid "SAMBA Server Configuration"
-msgstr ""
+msgstr "Configuration du serveur Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:27(revnumber)
 msgid "1.0"
-msgstr ""
+msgstr "1.0"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:28(date)
 msgid "2008-01-21"
-msgstr ""
+msgstr "2008-01-21"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:31(revnumber)
 msgid "1.0.1"
-msgstr ""
+msgstr "1.0.1"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:32(date)
 msgid "2008-03-12"
-msgstr ""
+msgstr "2008-03-12"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:37(para)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:50(para)
@@ -76,24 +89,27 @@
 "configure a Samba Server with which you can share files and/or printers with "
 "other computers."
 msgstr ""
+"L'<application>outil de configuration du serveur Samba</application> est "
+"utilisé pour paramétrer un serveur Samba qui vous permettra de partager des "
+"fichiers et/ou des imprimantes avec d'autres ordinateurs."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:45(trademark)
 msgid "Red Hat"
-msgstr ""
+msgstr "Red Hat"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:44(corpauthor)
 msgid "<placeholder-1/>, Inc."
-msgstr ""
+msgstr "<placeholder-1/>, Inc."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:57(command)
 msgid "system-config-samba"
-msgstr ""
+msgstr "system-config-samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:59(see)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:74(application)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:81(application)
 msgid "Samba Server Configuration Tool"
-msgstr ""
+msgstr "Outil de configuration du serveur Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:62(para)
 msgid ""
@@ -104,6 +120,13 @@
 "guisubmenu><guisubmenu>Administration</guisubmenu><guimenuitem>Samba</"
 "guimenuitem></menuchoice>."
 msgstr ""
+"Vous devez utiliser le système de gestion de fenêtres <application>X<"
+"/application> Window et disposer des droits superutilisateur pour utiliser "
+"l'outil de configuration de serveur Samba. Pour démarrer le programme depuis "
+"le bureau, rendez-vous dans <menuchoice><guimenu>le menu principal du "
+"tableau de bord (le menu avec l'icône « f »)</guimenu><guisubmenu>Système</"
+"guisubmenu><guisubmenu>Administration</guisubmenu><guimenuitem>Samba</"
+"guimenuitem></menuchoice>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:67(para)
 msgid ""
@@ -113,6 +136,11 @@
 "filename> directory. Any changes to these files not made using the "
 "application are preserved."
 msgstr ""
+"L'<application>outil de configuration du serveur Samba</application> est une "
+"interface graphique pour gérer les partages Samba, les utilisateurs et les "
+"paramètres du serveurs. Il modifie les fichiers de configuration dans le "
+"dossier <filename>/etc/samba/</filename>. Toutes les modifications réalisées "
+"sur ces fichiers sans avoir utilisé l'outil graphique sont préservées."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:70(para)
 msgid ""
@@ -124,11 +152,20 @@
 "guimenuitem></menuchoice> or type the command <command>system-config-samba</"
 "command> at a shell prompt (for example, in an XTerm or a GNOME terminal)."
 msgstr ""
+"Vous devez utiliser le système de gestion de fenêtres <application>X<"
+"/application> Window et disposer des droits superutilisateur pour utiliser "
+"l'outil de configuration de serveur Samba. Pour démarrer le programme depuis "
+"le bureau, rendez-vous dans <menuchoice><guimenu>le menu principal du "
+"tableau de bord (le menu avec l'icône « f »)</guimenu><guisubmenu>Système</"
+"guisubmenu><guisubmenu>Administration</guisubmenu><guimenuitem>Samba</"
+"guimenuitem></menuchoice> ou saisissez la commande <command>"
+"system-config-samba</command> depuis un prompte shell (par exemple depuis un "
+"terminal XTerm ou GNOME)."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:87(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:145(title)
 msgid "Note"
-msgstr ""
+msgstr "Note"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:88(para)
 msgid ""
@@ -136,26 +173,30 @@
 "display shared printers or the default stanza that allows users to view "
 "their own home directories on the Samba server."
 msgstr ""
+"L'<application>outil de configuration du serveur Samba</application> "
+"n'affiche pas les imprimantes partagées ni la phrase par défaut qui "
+"permet aux utilisateurs de voir leur répertoire personnel sur le serveur "
+"Samba."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:93(title)
 msgid "Configuring Server Settings"
-msgstr ""
+msgstr "Paramètres de configuration du serveur"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:95(primary)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:198(primary)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:238(primary)
 msgid "Samba"
-msgstr ""
+msgstr "Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:96(secondary)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:199(secondary)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:239(secondary)
 msgid "graphical configuration"
-msgstr ""
+msgstr "configuration graphique"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:97(tertiary)
 msgid "configuring server settings"
-msgstr ""
+msgstr "paramètres de configuration du serveur"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:99(para)
 msgid ""
@@ -166,11 +207,18 @@
 "pulldown menu. The <guilabel>Basic</guilabel> tab is displayed as shown in "
 "<xref linkend=\"fig-samba-basic\"/>."
 msgstr ""
+"La première étape de la configuration d'un serveur Samba consiste à "
+"paramétrer quelques options de bases ainsi que quelques options de sécurité. "
+"Une fois l'application démarrée, choisissez <menuchoice><guimenu>"
+"Préférences</"
+"guimenu><guimenuitem>Paramètres du serveur</guimenuitem></menuchoice> depuis "
+"le menu déroulant. L'onglet <guilabel>Base</guilabel> s'affiche comme sur la "
+"capture d'écran <xref linkend=\"fig-samba-basic\"/>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:103(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:109(para)
 msgid "Configuring Basic Server Settings"
-msgstr ""
+msgstr "Configuration de base du serveur"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:115(para)
 msgid ""
@@ -179,15 +227,20 @@
 "to the <command>workgroup</command> and <command>server string</command> "
 "options in <filename>smb.conf</filename>."
 msgstr ""
+"Dans l'onglet <guilabel>Base</guilabel>, renseignez le groupe de travail "
+"dans lequel l'ordinateur doit se trouver ainsi qu'une courte description de "
+"l'ordinateur. Ils correspondent aux options <command>groupe de travail<"
+"/command> et à la <command>chaîne du serveur</command> dans le fichier <"
+"filename>smb.conf</filename>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:119(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:125(para)
 msgid "Configuring Security Server Settings"
-msgstr ""
+msgstr "Configuration de la sécurité du serveur"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:131(para)
 msgid "The <guilabel>Security</guilabel> tab contains the following options:"
-msgstr ""
+msgstr "L'onglet <guilabel>Sécurité</guilabel> contient les options suivantes."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:136(para)
 msgid ""
@@ -195,6 +248,9 @@
 "<command>security</command> option. Select one of the following types of "
 "authentication."
 msgstr ""
+"<guilabel>Mode d'authentification</guilabel> — Cela correspond à l'option de "
+"<command>sécurité</command>. Choisissez l'un des types d'authentification "
+"suivant."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:141(para)
 msgid ""
@@ -207,12 +263,23 @@
 "ADS Controller. Specify the realm of the Kerberos server in the "
 "<guilabel>Kerberos Realm</guilabel> field."
 msgstr ""
+"<guilabel>ADS</guilabel> — Le serveur Samba agit en tant que membre d'un "
+"domaine dans un domaine Active Directory Domain (ADS). Pour cette option, "
+"Kerberos doit être installé et configuré sur le serveur et Samba doit "
+"devenir un membre du domaine ADS en utilisant l'utilitaire <command>net<"
+"/command>, qui fait partie du paquet <filename>samba-client</filename>. "
+"Consultez la page de manuel de <command>net</command> pour d'avantage de "
+"d'informations. Cette option ne configure pas Samba en tant que contrôleur "
+"ADS. Précisez le domaine du serveur Kerberos dans le champ <guilabel>Domaine "
+"Kerberos</guilabel>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:146(para)
 msgid ""
 "The <guilabel>Kerberos Realm</guilabel> field must be supplied in all "
 "uppercase letters, such as <command>EXAMPLE.COM</command>."
 msgstr ""
+"Le champ <guilabel>Domaine Kerberos</guilabel> doit être rempli en "
+"majuscules, comme <command>EXEMPLE.COM</command>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:149(para)
 msgid ""
@@ -220,6 +287,9 @@
 "configuration of Kerberos, including the <filename>/etc/krb5.conf</filename> "
 "file."
 msgstr ""
+"Utiliser un serveur Samba en tant que membre de domaine dans un domaine ADS "
+"implique une configuration de Kerberos, y compris le fichier <filename>"
+"/etc/krb5.conf</filename>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:155(para)
 msgid ""
@@ -229,12 +299,20 @@
 "Specify the NetBIOS name of the Primary or Backup Domain Controller in the "
 "<guilabel>Authentication Server</guilabel> field."
 msgstr ""
+"<guilabel>Domaine</guilabel> — Le serveur Samba s'appuie sur un contrôleur "
+"de domaine primaire ou de sauvegarde pour vérifier les utilisateurs. Le "
+"serveur transmet le nom d'utilisateur et le mot de passe au contrôleur de "
+"domaine et attend une réponse. Précisez le nom NetBIOS du contrôleur de "
+"domaine primaire ou de sauvegarde dans le champ <guilabel>Serveur "
+"d'authentification</guilabel>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:158(para)
 msgid ""
 "The <guilabel>Encrypted Passwords</guilabel> option must be set to "
 "<guilabel>Yes</guilabel> if this is selected."
 msgstr ""
+"L'option <guilabel>Chiffrer les mots de passe</guilabel> doit être mise sur "
+"<guilabel>Oui</guilabel> si sélectionné."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:163(para)
 msgid ""
@@ -244,6 +322,12 @@
 "the NetBIOS name of the other Samba server in the <guilabel>Authentication "
 "Server</guilabel> field."
 msgstr ""
+"<guilabel>Serveur</guilabel> — Le serveur Samba essaye de vérifier le couple "
+"nom d'utilisateur et mot de passe en les envoyant à un autre serveur Samba. "
+"Si cette vérification échoue, le serveur tente à nouveau en utilisant le "
+"mode d'authentification par l'utilisateur. Précisez le nom NetBIOS de "
+"l'autre serveur Samba server dans le champ <guilabel>Serveur "
+"d'authentication</guilabel>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:168(para)
 msgid ""
@@ -252,6 +336,10 @@
 "a username and password until they try to connect to a specific shared "
 "directory from a Samba server."
 msgstr ""
+"<guilabel>Partage</guilabel> — Les utilisateurs Samba n'ont pas à utiliser "
+"leur nom d'utilisateur et leur mot de passe pour chaque serveur Samba. Il ne "
+"leur est pas demandé de nom d'utilisateur ni de mot de passe avant qu'ils ne "
+"se connectent à un dossier partagé spécifique depuis un serveur Samba."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:173(para)
 msgid ""
@@ -260,6 +348,11 @@
 "want the <guilabel>Windows Username</guilabel> option to work. Refer to "
 "<xref linkend=\"s3-samba-gui-users\"/> for details."
 msgstr ""
+"<guilabel>Utilisateur</guilabel> — (Défaut) Les utilisateurs Samba doivent "
+"fournir un nom d'utilisateur et un mot de passe pour chaque serveur Samba. "
+"Choisissez cette option si vous souhaitez que l'option <guilabel>Nom "
+"d'utilisateur Windows</guilabel> fonctionne. Consultez <xref "
+"linkend=\"s3-samba-gui-users\"/> pour davantage de détails."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:180(para)
 msgid ""
@@ -270,6 +363,14 @@
 "format instead of as a plain-text word that can be intercepted. This "
 "corresponds to the <command>encrypted passwords</command> option."
 msgstr ""
+"<guilabel>Chiffrer les mots de passe</guilabel> — Cette option doit être "
+"activée "
+"si les clients sont connectés depuis un système Windows 98, Windows NT 4.0 "
+"avec Service Pack 3, ou d'autres versions plus récentes de Microsoft Windows."
+" Les "
+"mots de passe sont transférés entre le serveur et le client de manière "
+"chiffrée au lieu d'être transférés en clair et qui peut être intercepté. "
+"Cela correspond à l'option <command>encrypted passwords</command>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:185(para)
 msgid ""
@@ -279,6 +380,13 @@
 "guests log in to the Samba server, they have the same privileges as this "
 "user. This corresponds to the <command>guest account</command> option."
 msgstr ""
+"<guilabel>Compte invité</guilabel> — Lorsque des utilisateurs ou des "
+"utilisateurs invités se connectent au serveur Samba, ils doivent "
+"correspondre à un utilisateur valide sur le serveur. Choisissez le nom "
+"d'utilisateur du compte invité sur le serveur Samba parmi ceux disponibles "
+"sur le système. Lorsque les invités se connecteront sur le serveur Samba, "
+"ils disposeront des mêmes droits que cet utilisateur. Cela correspond à "
+"l'option <command>guest account</command>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:190(para)
 msgid ""
@@ -286,16 +394,19 @@
 "configuration file and the daemon is restarted; thus, the changes take "
 "effect immediately."
 msgstr ""
+"Après avoir cliqué sur <guibutton>OK</guibutton>, les modifications sont "
+"écrites dans le fichier de configuration et le démon est redémarré ; ainsi, "
+"les modifications prennent immédiatement effets."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:196(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:206(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:212(para)
 msgid "Managing Samba Users"
-msgstr ""
+msgstr "Gestion des utilisateurs Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:200(tertiary)
 msgid "managing Samba users"
-msgstr ""
+msgstr "gestion des utilisateurs Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:202(para)
 msgid ""
@@ -304,6 +415,10 @@
 "before a Samba user can be added. The Samba user is associated with the "
 "existing user account."
 msgstr ""
+"L'<application>outil de configuration du serveur Samba</application> "
+"requiert qu'un compte utilisateur existant soit actif sur le système "
+"agissant comme serveur Samba avant qu'un utilisateur Samba ne soit ajouté. "
+"L'utilisateur Samba est associé avec le compte utilisateur existant."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:218(para)
 msgid ""
@@ -313,6 +428,14 @@
 "<guilabel>Create New Samba User</guilabel> window select a <guilabel>Unix "
 "Username</guilabel> from the list of existing users on the local system."
 msgstr ""
+"Pour ajouter un utilisateur Samba, choisissez <menuchoice><guimenu>"
+"Préférences</"
+"guimenu><guimenuitem>Utilisateur Samba</guimenuitem></menuchoice> depuis le "
+"menu déroulant et cliquez sur le bouton <guibutton>Ajouter un utilisateur<"
+"/guibutton>. Depuis la fenêtre  "
+"<guilabel>Créer un nouvel utilisateur Samba</guilabel>, choisissez un <"
+"guilabel>Nom d'utilisateur Unix</guilabel> depuis la liste des utilisateurs "
+"existant sur le système local."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:221(para)
 msgid ""
@@ -323,6 +446,14 @@
 "guilabel> tab of the <guilabel>Server Settings</guilabel> preferences must "
 "be set to <guilabel>User</guilabel> for this option to work."
 msgstr ""
+"Si l'utilisateur a un nom d'utilisateur différent sur une machine Windows et "
+"a besoin de se connecter au serveur Samba depuis une machine Windows, "
+"précisez le nom d'utilisateur Windows dans le champ <guilabel>Nom "
+"d'utilisateur Windows</guilabel>. Le  "
+"<guilabel>Mode d'authentification</guilabel> dans l'onglet <guilabel>"
+"Sécurité</"
+"guilabel> de la fenêtre <guilabel>Paramètres du serveur</guilabel> doit être "
+"mis sur <guilabel>Utilisateur</guilabel> pour que cette option fonctionne."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:224(para)
 msgid ""
@@ -331,6 +462,11 @@
 "for Samba, it is recommended that the Samba passwords for all users are "
 "different from their system passwords."
 msgstr ""
+"De même, configurez un <guilabel>Mot de passe Samba</guilabel> pour "
+"l'utilisateur Samba et confirmez le saisissant à nouveau. Même si vous "
+"choisissez des mots de passe chiffrés pour Samba, il est recommandé que les "
+"mots de passe Samba des utilisateurs soient différents des mots passe de "
+"leur système."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:227(para)
 msgid ""
@@ -339,41 +475,54 @@
 "the user, and click the <guibutton>Delete User</guibutton> button. Deleting "
 "a Samba user does not delete the associated system user account."
 msgstr ""
+"Pour modififer un utilisateur existant, choisissez l'utilisateur dans la "
+"liste et cliquez sur <guibutton>Modifier l'utilisateur</guibutton>. Pour "
+"effacer un utilisateur Samba existant, sélectionnez l'utilisateur est "
+"cliquez sur le bouton <guibutton>Effacer l'utilisateur</guibutton>. Effacer "
+"un utilisateur Samba n'efface pas l'utilisateur système associé."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:230(para)
 msgid ""
 "The users are modified immediately after clicking the <guibutton>OK</"
 "guibutton> button."
 msgstr ""
+"Les utilisateurs sont modifiés immédiatement une fois cliqué sur le bouton <"
+"guibutton>OK</guibutton>."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:236(title)
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:246(title)
 msgid "Adding a Share"
-msgstr ""
+msgstr "Ajouter un partage"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:240(tertiary)
 msgid "adding a share"
-msgstr ""
+msgstr "ajouter un partage"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:242(para)
 msgid ""
 "To create a Samba share, click the <guibutton>Add</guibutton> button from "
 "the main Samba configuration window."
 msgstr ""
+"Pour créer un partage Samba, cliquez sur le bouton <guibutton>Ajouter<"
+"/guibutton> depuis la fenêtre de configuration Samba."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:252(para)
 msgid "Adding a Samba Share"
-msgstr ""
+msgstr "Ajouter un partage Samba"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:258(para)
 msgid "The <guilabel>Basic</guilabel> tab configures the following options:"
 msgstr ""
+"L'onglet <guilabel>Base</guilabel> permet de configurer les options "
+"suivantes :"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:263(para)
 msgid ""
 "<guilabel>Directory</guilabel> — The directory to share via Samba. The "
 "directory must exist before it can be entered here."
 msgstr ""
+"<guilabel>Répertoire</guilabel> — Le répertoire pour partager via Samba. Ce "
+"répertoire doit être créé avant d'être renseigné ici."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:268(para)
 msgid ""
@@ -381,22 +530,29 @@
 "from remote machines. By default, it is the same value as "
 "<guilabel>Directory</guilabel>, but can be configured."
 msgstr ""
+"<guilabel>Nom du serveur</guilabel> — Le nom du partage qui sera visible "
+"depuis les machines distantes. Par défaut, il est identique au <guilabel>"
+"Répertoire</guilabel>, mais il peut être configuré."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:273(para)
 msgid "<guilabel>Descriptions</guilabel> — A brief description of the share."
-msgstr ""
+msgstr "<guilabel>Description</guilabel> — Une courte description du partage."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:278(para)
 msgid ""
 "<guilabel>Writable</guilabel> — Enables users to read and write to the "
 "shared directory"
 msgstr ""
+"<guilabel>Inscriptible</guilabel> — Permet aux utilisateurs de lire et "
+"d'écrire dans le répertoire partagé"
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:283(para)
 msgid ""
 "<guilabel>Visible</guilabel> — Grants read-only rights to users for the "
 "shared directory."
 msgstr ""
+"<guilabel>Visible</guilabel> — Donne les droits « lecture seule » aux "
+"utilisateurs pour le répertoire partagé."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:288(para)
 msgid ""
@@ -405,13 +561,22 @@
 "access the share. If you select to allow access to specific users, select "
 "the users from the list of available Samba users."
 msgstr ""
+"Dans l'onglet <guilabel>Accès</guilabel>, choisissez d'autoriser les "
+"utilisateurs spécifiés à accéder au partage ou d'autoriser tous les "
+"utilisateurs Samba à accéder au partage. Si vous choisissez de n'autoriser "
+"que les utilisateurs spécifiés, sélectionnez les utilisateurs depuis la "
+"liste des utilisateurs Samba."
 
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:291(para)
 msgid ""
 "The share is added immediately after clicking <guibutton>OK</guibutton>."
 msgstr ""
+"Le partage est immédiatement ajouté après avoir cliqué sur <guibutton>OK<"
+"/guibutton>."
 
 #. Put one translator per line, in the form of NAME <EMAIL>, YEAR1, YEAR2.
 #: /home/nils/src/system-config-samba/hosted/doc/C/system-config-samba-complete.xml:0(None)
 msgid "translator-credits"
-msgstr ""
+msgstr "Thomas Canniot <mrtom@fedoraproject.org>,"
+
+